// LDC32.cpp : Defines the entry point for the console application.

#include "stdafx.h"

enum    { MPS=4, VTY=12, ATY=15, DTY, DES=16, ESC=27, PGS=MAXBYTE+1, SCS=2*PGS, DSZ=MPS*SCS };
enum    { ENO, EPA, EIF, ECI, ESI, ERI, EWI, ECF, ESF, ERF, EWF, ESM, ERM, EWM, ELS };
BOOL    fUd= FALSE, dUd=FALSE, lFn;
BYTE    cEr=0, lDr=1, cLu=8, rDi, cLs, cBf[SCS], fBf[SCS], dBf[SCS+1];
WORD    dSc, aSc, fSc, dPt = 0, aPt, pDr, fPt;
long    pTh;
DWORD   pTl, cBy;
HANDLE  hIm, hDr;
WIN32_FIND_DATA fFi = {0};

WORD    DirEnt( BYTE, BOOL );
WORD    NxtSec( WORD, BOOL );
WORD    FreeSc();
WORD    AloClu( WORD, BOOL );
BOOL    GetSec( WORD );
BOOL    GetEnt( LPWORD );
BYTE    ChkClu( BYTE );

int main( int argc, char* argv[] )
{
  BOOL  mUl=FALSE, iFc=FALSE, dMp=FALSE, oPs=FALSE, fRm=FALSE;
  BYTE  j=MAXBYTE, n=0, rZp=0, vSz,
                  *dIr;
  char  nBf[SCS], fEx[ATY][4] = {
                  "ZZP", "ZZN", "ZZA", "ZZC", "ZZF", "ZZE", "ZZK", "ZZB",
                  "SCR", "TZX", "TAP", "Z80", "DVO", "...", "..." },
        vOl[] = "\\\\.\\S:",
        dRv[] = "\\\\.\\PhysicalDrive  ",
        *sTp = "c:\\tmp",
        *sDi = "c:\\tmp\\IF1BISDI.BIN",
        *sTr = "c:\\tmp\\IF1BISTL.LST",
        *sBA = "c:\\tmp\\IF1BISBA.BIN",
        *sSH = "c:\\tmp\\IF1BISSH.BIN",
        *sRn = "c:\\tmp\\RUN.ZZP",
        *iNi = "LDC.INI",
        *vDr = "Drive=",
        *cPt, *nPt, *sPt=nBf+SCS-DES;
  WORD  i, nSc,
        *fAt;
  DWORD k=0, fLn;
  long  fPo;
  HANDLE  hFd, hFf, hFl, hVo;
  FILE    *fTr;
  WIN32_FIND_DATA dFi = {0};
  VOLUME_DISK_EXTENTS *vDe = (PVOLUME_DISK_EXTENTS) cBf;
  DISK_GEOMETRY gEo;

  if ( ( fTr = fopen( iNi, "rb" ) ) != NULL ) {
    while ( fgets( nBf, MAXBYTE, fTr ) != NULL ) {
      if ( strstr( nBf, vDr ) == nBf ) {        
        j = nBf[ strlen( vDr ) ];
        if ( j > 'D' && j <= 'Z' ) vOl[4] = j;
        break;
      }
    }
    fclose( fTr );
  }     
  printf( "\nLogical disk copier for the 'Interface 1bis'\nbuild 10 / 05.03.2019\nLDC32 h  for help\n\n" );
  if ( argc > 1 ) {
    if ( strlen( argv[1] ) < 3 ) {
      printf( "Copies: ZZP,ZZN,ZZA,ZZC,ZZF,ZZE,ZZK,ZZB,SCR,TZX,TAP,Z80\n" );
      printf( "files, from a specified directory, to a 'Interface 1bis'\n" );
      printf( "logical disk image, created on a SD card\n\n" );
      printf( "\nLDC32 [<Dir> [<Ldn> [<Clu> [<SDC>]]]]\n\n" );
      printf( "<Dir> Directory containing the files to be copied\n" );
      printf( "                                Default: Startup directory\n" );
      printf( "<Ldn> Logical disk number:  ( 2 - 255 )\n" );
      printf( "                                Default: See below\n" );
      printf( "<Clu> Cluster size: ( 2 - 16 )  Default: 8 sectors/cluster\n" );
      printf( "<SDC> SD card drive letter\n\n");
      printf( "If 0 is specified for the disk number, an image is created\n" );
      printf( "for each subdirectory, with a numerical name: \"2\" .. \"255\"\n" );
      printf( "of the source location, using the corresponding value as a\n" );
      printf( "logical disk number or if none is found, the card contents\n" );
      printf( "can be dumped to the given empty source directory\n\n" );
      printf( "If logical disk 1 is specified, the card is initialized or\n" );
      printf( "updated with the latest software version, that was installed\n" );
      printf( "by running ZXS_setup.exe\n\n\n\n" );
      printf( "Copies multimedia files: DVO, .. to the partition reserved\n" );
      printf( "for 'Large Sequential Files' on a 'Interface 1bis' SD card\n\n" );
      printf( "\nLDC32 [<Nam> [<Res> [<Clu> [<SDC>]]]]\n\n" );
      printf( "<Nam> Name of the file to be copied\n" );
      printf( "<Res> Reserved partition size   Default: 1/8 of volume size\n" );
      printf( "<Clu> Cluster size: ( 2 - 16 )  Default: 8 sectors/cluster\n" );
      printf( "<SDC> SD card drive letter\n\n");
      _getch();
      return EPA;
    }
    else {
// Arguments were specified
      _fullpath( nBf, argv[1], MAXBYTE );
      if ( ( hFf = FindFirstFile( nBf, &fFi ) ) != INVALID_HANDLE_VALUE ) {
        if ( fFi.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY ) j = DTY;
        else if ( ( cPt = strrchr( fFi.cFileName, '.' ) ) != NULL )
          for ( j = VTY; j < ATY; j++ ) if ( !StrCmpI( cPt + 1, fEx[j] ) ) break;
        if ( j < ATY ) {
          if ( ( cPt = strrchr( nBf, '\\' ) ) != NULL ) *( cPt + 1 ) = '\0';
          strcat( nBf, fFi.cFileName );
          printf( "\n\nCopying: %s\n", fFi.cFileName );
          *sPt = j;
          if ( ( i = strlen( fFi.cFileName ) ) <= 14 ) 
            strcpy( sPt + 1, fFi.cFileName );
          else {
            i = strlen( fFi.cAlternateFileName );
            strcpy( sPt + 1, fFi.cAlternateFileName );
          }
          while ( i < 14 ) *( ++i + sPt - 4 ) = ' ';
          *( sPt + 11 ) = '\0';
          fLn = ( fFi.nFileSizeLow + SCS - 1 ) / SCS;
          cEr = ELS;
        }
        FindClose( hFf );
      }
      if ( j != DTY && !cEr ) {
        printf( "%s is not a valid location or file\n\nPress any key to quit\n", nBf );
        _getch();
        return EPA;
      }
    }
    if ( argc > 2 )  lDr = atoi( argv[2] );
    else if ( !cEr ) {
// Get a logical disk number
      printf( "\nEnter a valid logical disk number ( 2 .. 255 ), or\n" );
      printf( "0, to create a logical disk for each subdirectory\n" );
      printf( "with a numeric name ( \"1\" .. \"255\" ): " );
      #if _MSC_VER < 1900
      nBf[PGS] = 4;
      lDr = atoi(_cgets(nBf + PGS));
      #else
      size_t sZo;
      _cgets_s(nBf + PGS, 4, &sZo);
      lDr = atoi( nBf + PGS );
      #endif
      printf( "\n" );
    }
    if ( argc > 3 )  {
// Check the cluster size
      j = atoi( argv[3] );
      i = 16;
      while ( i != j && i > 1 ) i >>= 1;
      if ( i > 1 ) cLu = i;
    }
    if ( argc > 4 ) {
// Check the SD card drive letter
      _strupr( argv[4] );
      j = argv[4][0];
      if ( j > 'D' && j <= 'Z' ) vOl[4] = j;
    }
  }
// Check the logical disk number
  if ( !lDr && !cEr ) {
    strcat( nBf, "\\*" );
    if ( ( hFd = FindFirstFile( nBf, &dFi ) ) == INVALID_HANDLE_VALUE ) return EPA;
    nPt = strrchr( nBf, '*' );
    mUl = TRUE;
  }
  if ( lDr == 1 && !cEr ) {
    while (TRUE) {
      if ( ( hFl = CreateFile( sRn, GENERIC_READ, FILE_SHARE_READ, NULL, OPEN_EXISTING,
                           FILE_ATTRIBUTE_NORMAL, NULL ) ) != INVALID_HANDLE_VALUE ) {
        CloseHandle( hFl );
        break;
      }
      printf("\nThe ZXS_setup.exe installer must be run");
      printf("\nevery time a new SD card is prepared.\n");
      printf("\n[Esc] to quit, any other key to continue\n");
      if (_getch() == ESC) return EPA;
    }
    fRm = TRUE;
  }
// Open the SD card volume
  hVo = CreateFile( vOl, GENERIC_READ | GENERIC_WRITE, FILE_SHARE_READ | FILE_SHARE_WRITE, NULL, OPEN_EXISTING, 0, NULL);
  if ( hVo != INVALID_HANDLE_VALUE &&
// Get the SD card physical disk number
    DeviceIoControl( hVo, IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS, NULL , 0, vDe, SCS, &cBy, NULL )) {
// The volume must consist of only one physical disk
    if ( vDe->NumberOfDiskExtents == 1 ) {
      _itoa( vDe->Extents[0].DiskNumber, dRv + 17, 10 );
// Lock the SD card volume so that it can be safely unmounted
      if ( DeviceIoControl( hVo, FSCTL_LOCK_VOLUME, NULL, 0, NULL, 0, &cBy, NULL ) ) {
// Unmount the SD card volume to allow writing to the physical disk
        if ( DeviceIoControl( hVo, FSCTL_DISMOUNT_VOLUME, NULL, 0, NULL, 0, &cBy, NULL) ) {
// Open the SD card phisical disk for writing
          if ( ( hDr = CreateFile( dRv, GENERIC_READ | GENERIC_WRITE, FILE_SHARE_READ | FILE_SHARE_WRITE,
                                              NULL, OPEN_EXISTING, 0, NULL) ) != INVALID_HANDLE_VALUE ) {
// Check if the physical disk media is removable
            if ( DeviceIoControl( hDr, IOCTL_DISK_GET_DRIVE_GEOMETRY, NULL, 0, &gEo, sizeof( gEo ),
                                                &cBy, NULL ) && gEo.MediaType == RemovableMedia ) {
// Get the usable media size in logical drives
              nSc = gEo.Cylinders.QuadPart * gEo.TracksPerCylinder * gEo.SectorsPerTrack >> 16;
              vSz = ( nSc > MAXBYTE ? MAXBYTE : nSc );
              if ( ( j = ChkClu( 1 ) ) && nSc > 100 ) {
                if ( j > 1 && cBf[1] <= vSz / 2 ) rZp = cBf[1];
                if ( cEr && ( dIr = (LPBYTE) calloc ( DSZ + 1, sizeof( BYTE ) ) ) != NULL ) {
// Copy a large sequential file to the SD card
                  do {
                    rDi = vSz / 8;
                    if ( !rZp ) if ( lDr > 3 && lDr <= vSz / 2 ) rZp = lDr;
                                else rZp = nSc - vSz >= rDi ? 1 : rDi + vSz - nSc;
                    if ( j > 1 ) {
                      if ( rZp != cBf[1] ) cBf[1] = rZp;
                      else oPs = TRUE;
                    }
                    else  fRm = TRUE;
                    nSc = nSc - vSz + rZp;
                    lDr = 1;
                    pTl = ( ( vSz - rZp ) * SCS & MAXWORD ) << 16;
                    pTh = ( vSz - rZp ) * SCS >> 16;
                    if ( SetFilePointer( hDr, pTl, &pTh, FILE_BEGIN ) == 
                                       INVALID_SET_FILE_POINTER ) break;
                    if ( !ReadFile( hDr, dIr, DSZ, &cBy, NULL ) ) break;
                    if ( oPs ) {
                      while ( dPt < DSZ && dIr[dPt] >= VTY && dIr[dPt] < ATY ) {
                        k += *(LPDWORD)( dIr + dPt + 13 ) & 0xffffff;
                        dPt += DES;
                      }
                    }
                    if ( dPt == DSZ ) { 
                      printf( "\n\nThe partition directory is full\n" );
                      break;
                    }
                    if ( dPt ) {
                      for ( i = 0; i < dPt; i+= DES ) 
                      if ( !StrCmpI( (LPSTR)dIr + i, sPt ) ) break;
                      if ( i < dPt ) {
                        printf( "\n\nThe file exists already\n" );
                        break;
                      }
                    }
                    if ( nSc << 16 < MPS + k + fLn ) {
                      printf( "\n\nNot enough space for the file\n" );
                      break;
                    }
                    if ( k ) {
                      cBy = ( k & 0x7fffff ) << 9;
                      fPo = k >> 23;
                      if ( SetFilePointer( hDr, cBy, &fPo, FILE_CURRENT ) == 
                                            INVALID_SET_FILE_POINTER ) break;
                    }
                    if ( ( hFl = CreateFile( nBf, GENERIC_READ, 0, NULL, OPEN_EXISTING,
                       FILE_ATTRIBUTE_NORMAL, NULL ) ) == INVALID_HANDLE_VALUE ) break; 
                    printf( "\n\tsectors written" );
                    for ( k = 0; k < fLn; k++ ) {
                      if ( !( k & 63 ) ) printf( "\r%7u", k );
                      if ( !ReadFile( hFl, fBf, SCS, &cBy, NULL ) )  break;
                      if ( !WriteFile( hDr, fBf, SCS, &cBy, NULL ) ) break;
                    }
                    printf( "\r%7u\n", k );
                    CloseHandle( hFl );
                    if ( k < fLn ) break;
                    strcpy( (LPSTR)dIr + dPt, sPt );
                    dIr[dPt + 12] = 0;
                    *(LPDWORD)( dIr + dPt + 13 ) = fLn + 0xff000000;
                    if ( SetFilePointer( hDr, pTl, &pTh, FILE_BEGIN ) == 
                                        INVALID_SET_FILE_POINTER ) break;
                    if ( !WriteFile( hDr, dIr, DSZ, &cBy, NULL ) ) break;
                    if ( !oPs && !fRm ) {
                      if ( SetFilePointer( hDr, SCS, NULL, FILE_BEGIN ) == 
                                          INVALID_SET_FILE_POINTER ) break;
                      if ( !WriteFile( hDr, cBf, SCS, &cBy, NULL ) ) break;
                    }
                    printf( "\nThe file has been copied to the SD card\n" );
                    if ( fRm ) cEr = ENO;
                  } while( FALSE );
                  free ( dIr );
                }
                if ( fRm ) strcpy(nBf, sTp);
                if ( !cEr ) do {
                  if ( dMp ) {
                    _itoa( lDr, nPt, 10 );
                    if ( CreateDirectory( nBf, NULL ) ) n++;
                  }             
                  if ( fRm && lDr > 1 ) {
                    printf( "\rFormatting logical drive%4u", lDr );
                    if ( ChkClu(lDr) > 1 ) continue;
                  }
                  do {
                    if ( mUl ) {
// Look for subdirectories with numeric names
                      if ( !( dFi.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY ) || 
                                 strrchr( dFi.cFileName, '.' ) != NULL ) continue;
                      i = atoi(dFi.cFileName);
                      if ( i < 2 ) continue;
// A new file location and logical disk number have been identified
                      lDr = i;
                      *nPt = '\0';
                      strcat( nBf, dFi.cFileName );
                      n++;
                    }
// Check if the specified logical disk number fits on the SD card
                    if ( lDr > vSz - rZp ) {
                      printf( "\nOnly %u logical disks fit on this SD card\n", vSz - rZp );
                      continue;
                    }
                    if ((cLs = ChkClu(lDr))>1 && !fRm && !mUl && (fAt = (LPWORD)calloc(PGS*PGS/cLs, sizeof(WORD))) != NULL) {
// Drive lDr is formatted
                      if ( !dMp ) printf( "\nDisk %u may contain data\n\n[Esc] to discard, any other key to keep\n", lDr );
                      i = 0;
                      if ( dMp || _getch() != ESC ) do {
// Read the SD card disk's FAT
                        if ( SetFilePointer( hDr, pTl + SCS, &pTh, FILE_BEGIN ) == INVALID_SET_FILE_POINTER ) break;
                        if ( !ReadFile( hDr, fAt, SCS * PGS / cLs, &cBy, NULL ) ) break;
                        if ( ( fTr = fopen( sTr, "a+bTD" ) ) == NULL )      break;      // Create a tree list
// Store the source directory name end position
                        sPt = nBf + strlen( nBf );
                        dSc = PGS / cLs + 1;                                                                                                        // First sector of root
                        if ( !dMp ) printf("\nCopying from disk %u \n\n", lDr);
                        do {
                          fPo = ftell( fTr );                                                                                                 // Save the read pointer
                          rewind( fTr );                                                                                                              // Switch to the write pointer
// New tree list directory
                          if ( ( cPt = strrchr( nBf, '\n' ) ) != NULL ) *cPt = '\0';    // Strip the entry end marker
                          strcat( nBf, "\\" );
                          dPt = SCS;                                                                                                                  // Directory sector pointer
                          while ( GetEnt( fAt ) ) {
// Get first sector number
                            aSc = *(LPWORD)( dBf + dPt + 11 );
// Strip the name's trailing spaces
                            j = 11;
                            do  dBf[ dPt + j-- ] = '\0'; while ( dBf[ dPt + j ] == ' ' && j > 1 );
// Build the full name
                            if ( ( cPt = strrchr( nBf, '\\' ) ) != NULL ) *( cPt + 1 ) = '\0';
                            strcat( nBf, (LPSTR)dBf + dPt + 1 );
                            if ( dBf[dPt] < VTY ) {
// Files must not be void
                              if ( !( fLn = *(LPDWORD)( dBf + dPt + 13 ) & 0x00ffffff ) ) continue;
// Add the extension to the filename
                              strcat( nBf, "." );
                              strcat( nBf, fEx[dBf[dPt]] );
// Attemp to create a new file in the source location
                              if ( ( hFl = CreateFile( nBf, GENERIC_WRITE, 0, NULL, CREATE_NEW,
                                     FILE_ATTRIBUTE_NORMAL, NULL ) ) == INVALID_HANDLE_VALUE ) continue;
                              fSc = 0;
                              while ( fLn && aSc > 1 ) {
// Copy file to the source location
                                if ( aSc != fSc + 1 ) if ( SetFilePointer( hDr, pTl + aSc * SCS, &pTh,
                                      FILE_BEGIN ) == INVALID_SET_FILE_POINTER ) { cEr = ESM; break; }
                                if ( !ReadFile( hDr, cBf, SCS, &cBy, NULL ) ) { cEr = ERM; break; }
                                nSc = ( fLn > SCS ? SCS : fLn );
                                if ( !WriteFile( hFl, cBf, nSc, &cBy, NULL ) ) { cEr = EWF; break; }
                                fLn -= nSc;
                                fSc = aSc;
                                if ( !( ++aSc % cLs ) ) aSc = fAt[ aSc / cLs - 1 ];
                              }
                              CloseHandle( hFl );
                              if ( cEr ) { DeleteFile( nBf ); break; }
                              printf( "\r\t\t\t\r  %s", cPt + 1 );
                              i++;
                            }
                            else if ( dBf[dPt] == DTY ) {
// Attempt to create a subdirectory in the source location
                              CreateDirectory( nBf, NULL );
// Add a directory to the tree list
                              strcat( nBf, "\n" );                      // Add en entry end marker
                              fwrite( &aSc, sizeof( aSc ), 1, fTr );    // Write the directory number
                              fputs( nBf, fTr );                        // Write the directory name
                            }
                          }
                          fseek( fTr, fPo, SEEK_SET );                  // Restore the tree list read pointer
                        } while ( !cEr && fread( &dSc, sizeof( dSc ), 1, fTr ) && fgets( nBf, MAXBYTE, fTr ) != NULL );
                        fclose( fTr );                                                                                                      // Tree list done
// Restore the source directory name
                        *sPt = '\0';
                      } while ( FALSE );
                      free( fAt );
                      if (cEr) cEr = ENO;
                      else if ( !dMp && i ) {
                        printf("\r  %u files have been copied to the source directory\n", i);
                        printf("[Esc] to quit, any other key to continue\n");
                        if ( _getch() == ESC ) break;
                      }
                    }
                    if ( dMp ) break;
// Create a new logical disk image
                    if ( !fRm || lDr < 3 ) {
                      if ( !fRm ) {
                        printf("\n\nReady to create logical disk %u\n\n", lDr);
                        printf("Source directory\t%s\n", nBf);
                        printf("Cluster size\t\t%u\n", cLu);
                        if (!mUl) {
                                printf("\n[Esc] to skip\n");
                                if (_getch() == ESC) continue;
                        }
                        printf("\nCreating the logical disk image\n");
                      }
                      if ((hIm = CreateFile(sDi, GENERIC_READ | GENERIC_WRITE, 0, NULL, CREATE_ALWAYS,
                                              FILE_ATTRIBUTE_NORMAL, NULL)) == INVALID_HANDLE_VALUE) {
                        printf("\n\nCannot create the logical disk image\n");
                        break;
                      }
                      iFc = TRUE;
                      do {
// Format the logical disk image
                        rDi = PGS / cLu + 1;                             // First sector of the root directory
                        pDr = rDi;                                       // First parent directory is the root
// Write sector 0
                        for (i = 0; i < SCS; i++) { dBf[i] = 0; fBf[i] = 0; }
                        if (!WriteFile(hIm, dBf, SCS, &cBy, NULL)) { cEr = EWI; break; };
// Write FAT sector 1
                        fBf[0] = cLu - 1;                                // Set cluster size
                        fBf[1] = (lDr == 1 ? rZp : 0);                   // Set reserved partition size
                        j = rDi / cLu;                                   // Cluster number of root directory
                        for (i = 1; i <= j; i++) fBf[2 * i] = 1;         // Mark FAT and root directory clusters as occupied
                        if (!WriteFile(hIm, fBf, SCS, &cBy, NULL)) { cEr = EWI; break; };
                        aSc = 1;                                         // Initialize the free cluster pointer
                        aPt = 2 * j;
                        fSc = aSc;
// Write FAT sectors 2 through ( 256 / Cluster size )
                        for (i = 2; i < PGS / cLu; i++)
                        if (!WriteFile(hIm, dBf, SCS, &cBy, NULL)) { cEr = EWI; break; };
                        if (cEr) break;
                        if (lDr == 1) for (i = SCS - 128 / cLu; i < SCS; i += 2) dBf[i] = 1;
                        if (!WriteFile(hIm, dBf, SCS, &cBy, NULL)) { cEr = EWI; break; };
// Write the first sector of the root directory
                        dBf[0] = DTY;                                    // File type: Directory
                        for (i = 1; i <= 10; i++) dBf[i] = ' ';          // Blank name
                        dBf[DES] = MAXBYTE;                              // End marker
                        if (!WriteFile(hIm, dBf, SCS, &cBy, NULL)) { cEr = EWI; break; };
                        if (fRm && lDr > 1) break;
                        dSc = rDi;
                        if ((fTr = fopen(sTr, "a+bTD")) == NULL) { cEr = ECF; break; }  // Create a tree list
// Add files and directories to the logical disk image
                        do {
                          fPo = ftell(fTr);                                                                                               // Save the read pointer
                          rewind(fTr);                                                                                                    // Switch to the write pointer
// New tree list entry
                          if ((cPt = strrchr(nBf, '\n')) != NULL) *cPt = '\0';          // Strip the entry end marker
                          strcat(nBf, "\\*");                                                                                             // Build the search string
                          if ((hFf = FindFirstFile(nBf, &fFi)) != INVALID_HANDLE_VALUE) {
// Load the first drive image sector for the new tree list directory
                            if (!GetSec( pDr )) break;
                            dPt = DES;                                                                                                      // Directory buffer pointer
                            lFn = FALSE;
                            do {
                              if ((cPt = strrchr(nBf, '\\')) != NULL) *(cPt + 1) = '\0';
                              strcat(nBf, fFi.cFileName);                               // Build the full name
                              if (fFi.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) {
// Directories must have no extension
                                if (strrchr(fFi.cFileName, '.') == NULL) {
// Add a directory to the logical disk image
                                  if (!(nSc = DirEnt(DTY, TRUE))) break;
// Add a directory to the tree list
                                  strcat(nBf, "\n");                    // Add en entry end marker
                                  fwrite(&nSc, sizeof(nSc), 1, fTr);    // Write the directory number
                                  fputs(nBf, fTr);                      // Write the directory name
                                }                                       // Directory was added to image
                              }                                         // Directory with extension was skipped
                              else {
// Files must have an extension
                                if ((cPt = strrchr(fFi.cFileName, '.')) != NULL) {
// Establish the file type
                                  for (j = 0; j < VTY; j++) if (!StrCmpI(cPt + 1, fEx[j])) break;
                                  if (j < VTY) {
// Calculate the required number of sectors
                                    if ((nSc = (fFi.nFileSizeLow + SCS - 1) / SCS)) {
// Add a file to the logical disk image
                                      if (!DirEnt(j, TRUE)) break;
// Open the file for reading
                                      if ((hFl = CreateFile(nBf, GENERIC_READ, 0, NULL, OPEN_EXISTING,
                                                  FILE_ATTRIBUTE_NORMAL, NULL)) == INVALID_HANDLE_VALUE)
                                                                                   { cEr = ECF; break; }
// Copy the file contents to the image
                                      for (i = 0; i < nSc; i++) {
                                        if (!ReadFile(hFl, cBf, SCS, &cBy, NULL))  { cEr = ERF; break; }
                                        if (!WriteFile(hIm, cBf, SCS, &cBy, NULL)) { cEr = EWI; break; }
                                      }
                                      CloseHandle(hFl);
                                      if (fRm) DeleteFile(nBf);
                                      if (cEr) break;
                                    }                               // The file was copied to the logical drive image
                                  }                                 // Zero-length file was skipped
                                }                                   // Non-Spectrum file type was skipped
                              }                                     // File with no extension was skipped
// Get the next file or directory from the current tree list directory
                            } while (FindNextFile(hFf, &fFi));
                            FindClose(hFf);
                            if (cEr) break;
// Create the long file name records
                            if (lFn && (nSc = DirEnt(DTY, FALSE)) && GetSec( nSc )) {   // Create the LFN directory
                              dPt = DES;                                                                                                                      // Directory buffer pointer
                              if ((cPt = strrchr(nBf, '\\')) != NULL) *(cPt + 1) = '\0';
                              strcat(nBf, "*");                                                                                                       // Build the search string
                              if ((hFf = FindFirstFile(nBf, &fFi)) != INVALID_HANDLE_VALUE) {
                                do {
                                  if (fFi.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) continue; // No directories
                                  if ((cPt = strrchr(fFi.cFileName, '.')) == NULL) continue;
                                  for (j = 5; j < VTY; j++) if (!StrCmpI(cPt + 1, fEx[j])) break; 
                                  if (j == VTY) continue;
                                  if (strlen(fFi.cFileName) - 4 <= 10) continue;        // Only long names
                                  if (!DirEnt(5, FALSE)) { cEr = EWI; break; }          // Create the LFN record
                                  strcpy((LPSTR)cBf, fFi.cFileName);                                                              // Write the file name
                                  if (!WriteFile(hIm, cBf, SCS, &cBy, NULL)) { cEr = EWI; break; }
                                } while (FindNextFile(hFf, &fFi));
                                FindClose(hFf);
                              }
                              if (cEr) break;
                            }
                          }                                     // Tree list directory done
                          fseek(fTr, fPo, SEEK_SET);            // Restore the tree list read pointer
// Get the next tree list directory
                        } while (fread(&pDr, sizeof(pDr), 1, fTr) && fgets(nBf, MAXBYTE, fTr) != NULL);
                        fclose(fTr);                            // Tree list done
                        GetSec(0);                              // Flush the FAT buffer
                        GetSec(MAXWORD);                        // Flush the directory buffer
                      } while (FALSE);
// Logical disk image done
                      CloseHandle(hIm);
                      if (cEr) {
                        if (cEr == EIF) {
                          printf("\nThe logical disk is full! Some files were not included\n");
                          printf("\n[Esc] to skip writing to the SD card\n");
                          cEr = ENO;
                          if (_getch() == ESC) continue;
                        }
                        else {
                          printf("\nLogical disk image creation error: %u\n", cEr);
                          break;
                        }
                      }
                    }
// Write the logical disk image to the SDC card
                    hIm = CreateFile( sDi, GENERIC_READ, 0, NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL );
                    if ( hIm != INVALID_HANDLE_VALUE && ReadFile( hIm, cBf, SCS, &cBy, NULL ) ) {
// Set the SDC card write start position
                      if ( SetFilePointer( hDr, pTl + SCS, &pTh, FILE_BEGIN ) != INVALID_SET_FILE_POINTER ) {
// Calculate the number of sectors to be written
                        nSc = ( GetFileSize( hIm, NULL ) + SCS - 1 ) / SCS - 1;
                        if( !fRm ) printf( "\nWriting the logical disk image to the SD card\n\n\tsectors written" );
// Copy the logical disk image to the SD card, starting with sector 1
                        for ( i = 0; i < nSc; i++ ) {
                          if ( !(i & 63) && !fRm ) printf("\r%7u", i);
                          if ( !ReadFile( hIm, cBf, SCS, &cBy, NULL ) ) {
                            printf( "\n\nCannot read the logical disk image file\n" );
                            cEr = ERI;
                            break;
                          }
                          if ( !WriteFile( hDr, cBf, SCS, &cBy, NULL ) ) {
                            printf( "\n\nCannot write to the SD card\n" );
                            cEr = EWM;
                            break;
                          }
                        }
                        if (!cEr && !fRm) printf("\r%7u\n\nThe logical disk image has been copied to the SD card\n", i);
// For logical drive 1, copy the operating system to the card
                        oPs = FALSE;
                        if ( lDr == 1 && !cEr ) do {
                          oPs = !oPs;
                          if ( ( hFl = CreateFile( ( oPs ? sBA : sSH ), GENERIC_READ, 0, NULL, OPEN_EXISTING,
                                                  FILE_ATTRIBUTE_NORMAL, NULL ) ) == INVALID_HANDLE_VALUE ) { 
                            printf( "\nCannot find %s\n", ( oPs ? sBA : sSH ) );
                            cEr = ERF;
                            break;
                          }
                          if ( SetFilePointer( hDr, ( MAXWORD - ( oPs ? 63 : 31 ) ) * SCS, NULL, FILE_BEGIN ) 
                                                                              != INVALID_SET_FILE_POINTER ) { 
                            for ( j = 0; j < 32; j++ ) {
                              if ( !ReadFile( hFl, cBf, SCS, &cBy, NULL ) ) { cEr = ERF; break; }
                              if ( !cBy ) break;
                              if ( !WriteFile( hDr, cBf, SCS, &cBy, NULL ) ) { cEr = EWM; break; }
                              if ( !j ) {
                                i = *(LPWORD)( cBf + ( oPs ? 0x6f : 0x06 ) );
                                printf( "\n%s ROM build%4u", oPs ? "BASIC " : "Shadow", i );
                              }
                            }
                          }
                          else cEr = ESM;
                          CloseHandle( hFl );
                        } while ( !cEr && oPs );
                        if ( lDr == 1 && !cEr ) printf( "\n\nThe operating system has been copied\n" );
                      }
                      else { printf( "\nCannot set the SD card write position\n" ); cEr = EWM; }
                      CloseHandle( hIm );
                    }
                    else { printf( "\nCannot open the logical disk image file\n" ); cEr = ECI; }
                  } while ( !cEr && mUl && FindNextFile( hFd, &dFi ) );
                  if ( !cEr && !lDr ) { 
                    *nPt = '\0';
                    printf("\nThere are no source directories in %s\n", nBf);
                    printf("\n[Esc] to skip dumping the card contents\n");
                    if (_getch() == ESC) break;
                    dMp = TRUE;
                    mUl = FALSE;
                    printf("\nDumping the card contents to %s\n\n", nBf);
                  }
                  else if ( dMp ) if ( RemoveDirectory( nBf ) ) n--;
                } while ( !cEr && lDr++ < vSz - rZp && (dMp || fRm) );
                if ( iFc ) DeleteFile( sDi );
              }
              else {
                printf("\n\nCannot access the SD card\n");
                printf("The minimum SD card size is 4GB\n");
              }
            }
            else printf( "\nThe specified drive is not removable\n" );
            CloseHandle( hDr );
          }
          else { printf( "\nCannot open the SD card physical drive\n\n" );
           printf( "Please tick the 'Run as administrator' box\n" );
           printf( "in the 'Compatibility' tab of the LDC.EXE\n" );
           printf( "'Properties' right-click context menu\n" );
          }
        }
        else printf( "\nCannot unmount the SD card volume\n" );
        DeviceIoControl( hVo, FSCTL_UNLOCK_VOLUME, NULL, 0, NULL, 0, &cBy, NULL);
      }
      else printf( "\nCannot lock the SD card volume\n" );
      CloseHandle( hVo );
    }
    else printf( "\nWrong SD card drive letter specified\n" );
  }
  else printf( "\nCannot find the SD card\n" );
  if ( mUl || dMp ) {
    FindClose( hFd );
    printf( "\n\n  %u directories have been %s\n", n, ( dMp ? "created" : "found" ) );
  }
  printf( "\n\nPress any key to quit\n" );
  _getch();
  return cEr;
}

//-----------------------------------------------------------------------------

WORD DirEnt( BYTE fTy, BOOL fLg )
{
// Create a disk image directory entry

  BYTE i, j=0;
  WORD nSc, aLc;

  nSc = 1;
  if ( fTy < DTY ) {
// Calculate the required number of clusters for a file
    j = 4;
    if (fLg) nSc = (cLu * SCS + fFi.nFileSizeLow - 1)/SCS/cLu;
  }
  if ( !( aLc = AloClu( nSc, FALSE ) ) ) return 0;
// Create the directory entry
  dBf[dPt] = fTy;                                               // Add the file type
  if ( fLg || j ) {
// Copy the full filename if it is not longer than 10 characters
    if ( (i = strlen(fFi.cFileName)-j) <= 10 ) strcpy((LPSTR)dBf+dPt+1, fFi.cFileName);
    else {
// Otherwise copy the abreviated name
      i = strlen(fFi.cAlternateFileName)-j;
      strcpy((LPSTR)dBf+dPt+1, fFi.cAlternateFileName);
      if (fLg && fTy >= 5 && fTy < VTY) lFn = TRUE;
    }
  }
  else {
// Create a long file name records directory
    i = 3;
    strcpy((LPSTR)dBf + dPt + 1, "LFN");
  }
  while ( i < 10 ) dBf[++i + dPt] = ' ';                       // Pad the name with spaces
//  Add the first sector number and file length
  *(LPWORD)(dBf+dPt+11) = aLc;
  *(LPDWORD)(dBf+dPt+13) = (j ? (fLg ? fFi.nFileSizeLow : strlen(fFi.cFileName)-j) : 0)+0xff000000;
  dUd = TRUE;                                                  // Signal: The directory buffer was modified
  if (!j) {
// Prepare the first entry of a new directory
    for (i = 0; i <= DES; i++) cBf[i] = dBf[dPt + i];
// Add the parent directory number
    *(LPWORD)(cBf+11) = pDr;
  }
  if ((dPt += DES) == SCS) {
// Extend the directory if its last sector is full
    if (!(nSc = NxtSec(dSc, TRUE))) return 0;
// Allocate another cluster if necessary
    if (nSc == 1) if (!(nSc = AloClu(1, TRUE))) return 0;
    if (!GetSec(nSc)) return 0;
    dPt = 0;
    dBf[0] = MAXBYTE;                                    // Directory end marker
    dUd = TRUE;                                          // Signal: The directory buffer was modified
  }
// Point to the first allocated sector
  if (SetFilePointer(hIm, aLc * SCS, NULL, FILE_BEGIN) == INVALID_SET_FILE_POINTER) { cEr = ESI; return 0; }
// Write the first entry of a new directory
  if (!j) if (!WriteFile(hIm, cBf, SCS, &cBy, NULL)) { cEr = EWI; return 0; }
  return aLc;
}

//-----------------------------------------------------------------------------

WORD NxtSec( WORD Sec, BOOL All )
{
// Return the sector number of a disk image file's next record

  if ( ( Sec + 1 ) % cLu && All ) return Sec + 1;               // Same cluster
  else {                                                        // Next cluster
    if ( !GetSec( Sec / cLu / PGS + 1 ) ) return 0;             // Load the FAT sector
    fPt = 2 * ( Sec / cLu & MAXBYTE );                          // containig the entry
    return *(LPWORD) ( fBf + fPt );                             // Get the next sector number
  }
}

//-----------------------------------------------------------------------------

WORD FreeSc()
{
// Return the sector number of the next free disk image cluster

  if ( aPt == SCS - 2 - ( lDr == 1 && aSc == rDi - 1 ? 128 / cLu : 0 ) ) {
    if ( aSc == rDi - 1 ) { cEr = EIF; return 0; }
    aSc++;
    aPt = 0;
  }
  else aPt += 2;
  return ( ( aSc - 1 ) * PGS + aPt / 2 ) * cLu;
}

//-----------------------------------------------------------------------------

WORD AloClu( WORD Num, BOOL Ext )
{
// Allocate clusters to a new file or extend an existing file

  WORD    nSc, fRs=1;

  if ( !( nSc = FreeSc() ) ) return 0;
  if ( Ext ) fRs = nSc;                                 // Extend an existing file
  while (Num) {
    if ( fRs == 1 ) {
      if ( !GetSec( aSc ) ) return 0;
      fPt = aPt;
      if ( --Num ) if ( !( fRs = FreeSc() ) ) break;
    }
    *(LPWORD) ( fBf + fPt ) = fRs;                      // Write the FAT entry
    fUd = TRUE;                                         // Signal: The FAT buffer was modified
    fRs = 1;
  }
  if ( !Num ) return nSc;
//      De-allocate if the required number of free clusters is not available
  do {
    nSc = NxtSec( nSc, FALSE );
    *(LPWORD) ( fBf + fPt ) = 0;
    fUd = TRUE;                                         // Signal: The FAT buffer was modified
  } while (nSc > 1);
  return 0;
}

//-----------------------------------------------------------------------------

BOOL GetSec( WORD Sec )
{
// Flush and reload the disk image FAT or directory buffer

  if ( Sec < rDi && fSc != Sec || Sec >= rDi && dSc != Sec ) {
    if ( Sec < rDi && fUd || Sec >= rDi && dUd ) {
      if ( SetFilePointer( hIm, ( Sec < rDi ? fSc : dSc ) * SCS, NULL, FILE_BEGIN ) ==
                                                INVALID_SET_FILE_POINTER ) { cEr = ESI; return FALSE; }
      if ( !WriteFile( hIm, ( Sec < rDi ? fBf : dBf ), SCS, &cBy, NULL ) ) { cEr = EWI; return FALSE; }
      if ( Sec < rDi ) fUd = FALSE;                   // Reset the 'Buffer modified' flag
      else dUd = FALSE;
    }
    if ( Sec && Sec < MAXWORD ) {
      if (Sec < rDi) fSc = Sec;
      else dSc = Sec;
      if ( SetFilePointer(hIm, Sec * SCS, NULL, FILE_BEGIN) ==
           INVALID_SET_FILE_POINTER ) { cEr = ESI; return FALSE; }
      if ( !ReadFile( hIm, ( Sec < rDi ? fBf : dBf ), SCS, &cBy, NULL ) )  { cEr = ERI; return FALSE; }
    }
  }
  return TRUE;
}

//-----------------------------------------------------------------------------

BOOL GetEnt( LPWORD fAt )
{
// Advance to the next SD card directory entry

  if ( ( dPt += DES ) >= SCS ) {
    if ( !( dPt -= SCS ) ) if ( !( ++dSc % cLs ) ) if ( ( dSc = fAt[ dSc / cLs - 1 ] ) <= 1 ) return FALSE;
    if ( SetFilePointer( hDr, pTl + dSc * SCS, &pTh, FILE_BEGIN ) == INVALID_SET_FILE_POINTER )
      { cEr = ESM; return FALSE; }
    if ( !ReadFile( hDr, dBf, SCS, &cBy, NULL ) ) { cEr = ERM; return FALSE; }
  }
  return dBf[dPt] <= DTY;
}
//-----------------------------------------------------------------------------

BYTE ChkClu ( BYTE dRn )
{
// Return the cluster size of a given SD card disk

  BYTE i=16, j;

  pTl = ( ( dRn - 1 ) * SCS & MAXWORD ) << 16;
  pTh = ( dRn - 1 ) * SCS >> 16;
  if ( SetFilePointer( hDr, pTl + SCS, &pTh, FILE_BEGIN ) == INVALID_SET_FILE_POINTER ) return 0;
  if ( !ReadFile( hDr, cBf, SCS, &cBy, NULL ) ) return 0;
  if ( dRn > 1 && cBf[1] ) return 1;
  j = cBf[0] + 1;
  while ( i != j && i > 1 ) i >>= 1;
  return i;
}

//-----------------------------------------------------------------------------
