--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : IDE.vhf
-- /___/   /\     Timestamp : 01/09/2013 20:03:02
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500 -flat -suppress -vhdl F:/ZXS/DES/IF1b/1/b/IdeCtrl/ISE/IDE.vhf -w F:/ZXS/DES/IF1b/1/b/IdeCtrl/ISE/IDE.sch
--Design Name: IDE
--Device: xc9500
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_IDE is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_IDE;

architecture BEHAVIORAL of M2_1_MXILINX_IDE is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD8_MXILINX_IDE is
   port ( D : in    std_logic_vector (7 downto 0); 
          G : in    std_logic; 
          Q : out   std_logic_vector (7 downto 0));
end LD8_MXILINX_IDE;

architecture BEHAVIORAL of LD8_MXILINX_IDE is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   Q0 : LD
      port map (D=>D(0),
                G=>G,
                Q=>Q(0));
   
   Q1 : LD
      port map (D=>D(1),
                G=>G,
                Q=>Q(1));
   
   Q2 : LD
      port map (D=>D(2),
                G=>G,
                Q=>Q(2));
   
   Q3 : LD
      port map (D=>D(3),
                G=>G,
                Q=>Q(3));
   
   Q4 : LD
      port map (D=>D(4),
                G=>G,
                Q=>Q(4));
   
   Q5 : LD
      port map (D=>D(5),
                G=>G,
                Q=>Q(5));
   
   Q6 : LD
      port map (D=>D(6),
                G=>G,
                Q=>Q(6));
   
   Q7 : LD
      port map (D=>D(7),
                G=>G,
                Q=>Q(7));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF8_MXILINX_IDE is
   port ( I : in    std_logic_vector (7 downto 0); 
          O : out   std_logic_vector (7 downto 0));
end IBUF8_MXILINX_IDE;

architecture BEHAVIORAL of IBUF8_MXILINX_IDE is
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_31 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_32 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_33 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_34 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_35 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_36 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_37 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFT8_MXILINX_IDE is
   port ( I : in    std_logic_vector (7 downto 0); 
          T : in    std_logic; 
          O : out   std_logic_vector (7 downto 0));
end OBUFT8_MXILINX_IDE;

architecture BEHAVIORAL of OBUFT8_MXILINX_IDE is
   attribute BOX_TYPE   : string ;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
begin
   I_36_30 : OBUFT
      port map (I=>I(0),
                T=>T,
                O=>O(0));
   
   I_36_31 : OBUFT
      port map (I=>I(1),
                T=>T,
                O=>O(1));
   
   I_36_32 : OBUFT
      port map (I=>I(2),
                T=>T,
                O=>O(2));
   
   I_36_33 : OBUFT
      port map (I=>I(3),
                T=>T,
                O=>O(3));
   
   I_36_34 : OBUFT
      port map (I=>I(7),
                T=>T,
                O=>O(7));
   
   I_36_35 : OBUFT
      port map (I=>I(6),
                T=>T,
                O=>O(6));
   
   I_36_36 : OBUFT
      port map (I=>I(5),
                T=>T,
                O=>O(5));
   
   I_36_37 : OBUFT
      port map (I=>I(4),
                T=>T,
                O=>O(4));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IDE is
   port ( A8    : in    std_logic; 
          DA0   : in    std_logic; 
          DA1   : in    std_logic; 
          DA2   : in    std_logic; 
          nDCS0 : in    std_logic; 
          nIORQ : in    std_logic; 
          nRD   : in    std_logic; 
          nWR   : in    std_logic; 
          nDIOR : out   std_logic; 
          nDIOW : out   std_logic; 
          D     : inout std_logic_vector (7 downto 0); 
          DD    : inout std_logic_vector (15 downto 0));
end IDE;

architecture BEHAVIORAL of IDE is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute PWR_MODE   : string ;
   attribute SLEW       : string ;
   attribute KEEP       : string ;
   signal A8i         : std_logic;
   signal DA0i        : std_logic;
   signal DA1i        : std_logic;
   signal DA2i        : std_logic;
   signal DDH         : std_logic_vector (7 downto 0);
   signal DDL         : std_logic_vector (7 downto 0);
   signal Di          : std_logic_vector (7 downto 0);
   signal DIORi       : std_logic;
   signal nDCE        : std_logic;
   signal nDCS0i      : std_logic;
   signal nDIORi      : std_logic;
   signal nDIOWi      : std_logic;
   signal nDOE        : std_logic;
   signal nIORQi      : std_logic;
   signal nOEH        : std_logic;
   signal nOEL        : std_logic;
   signal nRDi        : std_logic;
   signal nWRH        : std_logic;
   signal nWRi        : std_logic;
   signal WRL         : std_logic;
   signal XLXN_4      : std_logic_vector (7 downto 0);
   signal XLXN_7      : std_logic_vector (7 downto 0);
   signal XLXN_9      : std_logic_vector (7 downto 0);
   signal nDIOW_DUMMY : std_logic;
   component IBUF8_MXILINX_IDE
      port ( I : in    std_logic_vector (7 downto 0); 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component OBUFT8_MXILINX_IDE
      port ( I : in    std_logic_vector (7 downto 0); 
             T : in    std_logic; 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component LD8_MXILINX_IDE
      port ( D : in    std_logic_vector (7 downto 0); 
             G : in    std_logic; 
             Q : out   std_logic_vector (7 downto 0));
   end component;
   
   component M2_1_MXILINX_IDE
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component NOR4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4B1 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component NOR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_2 : label is "XLXI_2_6";
   attribute HU_SET of XLXI_3 : label is "XLXI_3_0";
   attribute HU_SET of XLXI_4 : label is "XLXI_4_1";
   attribute HU_SET of XLXI_5 : label is "XLXI_5_2";
   attribute HU_SET of XLXI_6 : label is "XLXI_6_3";
   attribute HU_SET of XLXI_7 : label is "XLXI_7_5";
   attribute HU_SET of XLXI_8 : label is "XLXI_8_4";
   attribute HU_SET of XLXI_9 : label is "XLXI_9_7";
   attribute HU_SET of XLXI_10_0 : label is "XLXI_10_0_15";
   attribute HU_SET of XLXI_10_1 : label is "XLXI_10_1_14";
   attribute HU_SET of XLXI_10_2 : label is "XLXI_10_2_13";
   attribute HU_SET of XLXI_10_3 : label is "XLXI_10_3_12";
   attribute HU_SET of XLXI_10_4 : label is "XLXI_10_4_11";
   attribute HU_SET of XLXI_10_5 : label is "XLXI_10_5_10";
   attribute HU_SET of XLXI_10_6 : label is "XLXI_10_6_9";
   attribute HU_SET of XLXI_10_7 : label is "XLXI_10_7_8";
   attribute PWR_MODE of XLXI_14 : label is "STD";
   attribute KEEP of XLXI_58 : label is "TRUE";
   attribute PWR_MODE of XLXI_62 : label is "STD";
   attribute KEEP of XLXI_62 : label is "TRUE";
begin
   nDIOW <= nDIOW_DUMMY;
   XLXI_2 : IBUF8_MXILINX_IDE
      port map (I(7 downto 0)=>D(7 downto 0),
                O(7 downto 0)=>Di(7 downto 0));
   
   XLXI_3 : IBUF8_MXILINX_IDE
      port map (I(7 downto 0)=>DD(15 downto 8),
                O(7 downto 0)=>XLXN_4(7 downto 0));
   
   XLXI_4 : IBUF8_MXILINX_IDE
      port map (I(7 downto 0)=>DD(7 downto 0),
                O(7 downto 0)=>DDL(7 downto 0));
   
   XLXI_5 : OBUFT8_MXILINX_IDE
      port map (I(7 downto 0)=>Di(7 downto 0),
                T=>nOEH,
                O(7 downto 0)=>DD(15 downto 8));
   
   XLXI_6 : OBUFT8_MXILINX_IDE
      port map (I(7 downto 0)=>XLXN_7(7 downto 0),
                T=>nOEL,
                O(7 downto 0)=>DD(7 downto 0));
   
   XLXI_7 : OBUFT8_MXILINX_IDE
      port map (I(7 downto 0)=>XLXN_9(7 downto 0),
                T=>nDOE,
                O(7 downto 0)=>D(7 downto 0));
   
   XLXI_8 : LD8_MXILINX_IDE
      port map (D(7 downto 0)=>Di(7 downto 0),
                G=>WRL,
                Q(7 downto 0)=>XLXN_7(7 downto 0));
   
   XLXI_9 : LD8_MXILINX_IDE
      port map (D(7 downto 0)=>XLXN_4(7 downto 0),
                G=>DIORi,
                Q(7 downto 0)=>DDH(7 downto 0));
   
   XLXI_10_0 : M2_1_MXILINX_IDE
      port map (D0=>DDH(0),
                D1=>DDL(0),
                S0=>DIORi,
                O=>XLXN_9(0));
   
   XLXI_10_1 : M2_1_MXILINX_IDE
      port map (D0=>DDH(1),
                D1=>DDL(1),
                S0=>DIORi,
                O=>XLXN_9(1));
   
   XLXI_10_2 : M2_1_MXILINX_IDE
      port map (D0=>DDH(2),
                D1=>DDL(2),
                S0=>DIORi,
                O=>XLXN_9(2));
   
   XLXI_10_3 : M2_1_MXILINX_IDE
      port map (D0=>DDH(3),
                D1=>DDL(3),
                S0=>DIORi,
                O=>XLXN_9(3));
   
   XLXI_10_4 : M2_1_MXILINX_IDE
      port map (D0=>DDH(4),
                D1=>DDL(4),
                S0=>DIORi,
                O=>XLXN_9(4));
   
   XLXI_10_5 : M2_1_MXILINX_IDE
      port map (D0=>DDH(5),
                D1=>DDL(5),
                S0=>DIORi,
                O=>XLXN_9(5));
   
   XLXI_10_6 : M2_1_MXILINX_IDE
      port map (D0=>DDH(6),
                D1=>DDL(6),
                S0=>DIORi,
                O=>XLXN_9(6));
   
   XLXI_10_7 : M2_1_MXILINX_IDE
      port map (D0=>DDH(7),
                D1=>DDL(7),
                S0=>DIORi,
                O=>XLXN_9(7));
   
   XLXI_12 : NOR4B1
      port map (I0=>A8i,
                I1=>DA2i,
                I2=>DA1i,
                I3=>DA0i,
                O=>nDCE);
   
   XLXI_13 : OR4
      port map (I0=>nDCE,
                I1=>nIORQi,
                I2=>nDCS0i,
                I3=>nWRi,
                O=>nDIOWi);
   
   XLXI_14 : OR3
      port map (I0=>nRDi,
                I1=>nDCS0i,
                I2=>nIORQi,
                O=>nDOE);
   
   XLXI_45 : OBUF
      port map (I=>nDIOWi,
                O=>nDIOW_DUMMY);
   
   XLXI_46 : IBUF
      port map (I=>nDIOW_DUMMY,
                O=>nOEL);
   
   XLXI_48 : OBUF
      port map (I=>nDIORi,
                O=>nDIOR);
   
   XLXI_49 : IBUF
      port map (I=>nIORQ,
                O=>nIORQi);
   
   XLXI_50 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_51 : IBUF
      port map (I=>nDCS0,
                O=>nDCS0i);
   
   XLXI_52 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_53 : IBUF
      port map (I=>DA0,
                O=>DA0i);
   
   XLXI_54 : IBUF
      port map (I=>DA1,
                O=>DA1i);
   
   XLXI_55 : IBUF
      port map (I=>DA2,
                O=>DA2i);
   
   XLXI_56 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_57 : NOR4B1
      port map (I0=>nWRH,
                I1=>nDCS0i,
                I2=>nIORQi,
                I3=>nWRi,
                O=>WRL);
   
   XLXI_58 : OR4
      port map (I0=>DA0i,
                I1=>DA1i,
                I2=>DA2i,
                I3=>A8i,
                O=>nWRH);
   
   XLXI_59 : OR2
      port map (I0=>nOEL,
                I1=>nWRH,
                O=>nOEH);
   
   XLXI_61 : INV
      port map (I=>DIORi,
                O=>nDIORi);
   
   XLXI_62 : NOR4
      port map (I0=>nRDi,
                I1=>nIORQi,
                I2=>nDCS0i,
                I3=>nDCE,
                O=>DIORi);
   
end BEHAVIORAL;


