--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : i1b.vhf
-- /___/   /\     Timestamp : 01/09/2013 20:00:44
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500 -flat -suppress -vhdl F:/ZXS/DES/IF1b/2/i/ISE/i1b.vhf -w F:/ZXS/DES/IF1b/2/i/ISE/i1b.sch
--Design Name: i1b
--Device: xc9500
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D2_4E_MXILINX_i1b is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic);
end D2_4E_MXILINX_i1b;

architecture BEHAVIORAL of D2_4E_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D3);
   
   I_36_31 : AND3B1
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D2);
   
   I_36_32 : AND3B1
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D1);
   
   I_36_33 : AND3B2
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDP_MXILINX_i1b is
   generic( INIT : bit :=  '1');
   port ( C   : in    std_logic; 
          D   : in    std_logic; 
          PRE : in    std_logic; 
          Q   : out   std_logic);
end FDP_MXILINX_i1b;

architecture BEHAVIORAL of FDP_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_41 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_5,
                D=>D,
                PRE=>PRE,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTP_MXILINX_i1b is
   generic( INIT : bit :=  '1');
   port ( C   : in    std_logic; 
          PRE : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTP_MXILINX_i1b;

architecture BEHAVIORAL of FTP_MXILINX_i1b is
   attribute BOX_TYPE       : string ;
   attribute HU_SET         : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDP_MXILINX_i1b
      generic( INIT : bit :=  '1');
      port ( C   : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_35 : label is "I_36_35_0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDP_MXILINX_i1b
   generic map( INIT => INIT)
      port map (C=>C,
                D=>TQ,
                PRE=>PRE,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_i1b is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_i1b;

architecture BEHAVIORAL of M2_1_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD8_MXILINX_i1b is
   port ( D : in    std_logic_vector (7 downto 0); 
          G : in    std_logic; 
          Q : out   std_logic_vector (7 downto 0));
end LD8_MXILINX_i1b;

architecture BEHAVIORAL of LD8_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   Q0 : LD
      port map (D=>D(0),
                G=>G,
                Q=>Q(0));
   
   Q1 : LD
      port map (D=>D(1),
                G=>G,
                Q=>Q(1));
   
   Q2 : LD
      port map (D=>D(2),
                G=>G,
                Q=>Q(2));
   
   Q3 : LD
      port map (D=>D(3),
                G=>G,
                Q=>Q(3));
   
   Q4 : LD
      port map (D=>D(4),
                G=>G,
                Q=>Q(4));
   
   Q5 : LD
      port map (D=>D(5),
                G=>G,
                Q=>Q(5));
   
   Q6 : LD
      port map (D=>D(6),
                G=>G,
                Q=>Q(6));
   
   Q7 : LD
      port map (D=>D(7),
                G=>G,
                Q=>Q(7));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF8_MXILINX_i1b is
   port ( I : in    std_logic_vector (7 downto 0); 
          O : out   std_logic_vector (7 downto 0));
end IBUF8_MXILINX_i1b;

architecture BEHAVIORAL of IBUF8_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_31 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_32 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_33 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_34 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_35 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_36 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_37 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFT8_MXILINX_i1b is
   port ( I : in    std_logic_vector (7 downto 0); 
          T : in    std_logic; 
          O : out   std_logic_vector (7 downto 0));
end OBUFT8_MXILINX_i1b;

architecture BEHAVIORAL of OBUFT8_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
begin
   I_36_30 : OBUFT
      port map (I=>I(0),
                T=>T,
                O=>O(0));
   
   I_36_31 : OBUFT
      port map (I=>I(1),
                T=>T,
                O=>O(1));
   
   I_36_32 : OBUFT
      port map (I=>I(2),
                T=>T,
                O=>O(2));
   
   I_36_33 : OBUFT
      port map (I=>I(3),
                T=>T,
                O=>O(3));
   
   I_36_34 : OBUFT
      port map (I=>I(7),
                T=>T,
                O=>O(7));
   
   I_36_35 : OBUFT
      port map (I=>I(6),
                T=>T,
                O=>O(6));
   
   I_36_36 : OBUFT
      port map (I=>I(5),
                T=>T,
                O=>O(5));
   
   I_36_37 : OBUFT
      port map (I=>I(4),
                T=>T,
                O=>O(4));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1B1_MXILINX_i1b is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1B1_MXILINX_i1b;

architecture BEHAVIORAL of M2_1B1_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B2
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD4_MXILINX_i1b is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          G  : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end LD4_MXILINX_i1b;

architecture BEHAVIORAL of LD4_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   U0 : LD
      port map (D=>D0,
                G=>G,
                Q=>Q0);
   
   U1 : LD
      port map (D=>D1,
                G=>G,
                Q=>Q1);
   
   U2 : LD
      port map (D=>D2,
                G=>G,
                Q=>Q2);
   
   U3 : LD
      port map (D=>D3,
                G=>G,
                Q=>Q3);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDC_MXILINX_i1b is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_i1b;

architecture BEHAVIORAL of FDC_MXILINX_i1b is
   attribute BOX_TYPE   : string ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>D,
                PRE=>XLXN_5,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity i1b is
   port ( A2     : in    std_logic; 
          A5     : in    std_logic; 
          A6     : in    std_logic; 
          A7     : in    std_logic; 
          A8     : in    std_logic; 
          A12    : in    std_logic; 
          A13    : in    std_logic; 
          A14    : in    std_logic; 
          A15    : in    std_logic; 
          CLK    : in    std_logic; 
          CS     : in    std_logic; 
          DOWN   : in    std_logic; 
          FIRE   : in    std_logic; 
          LEFT   : in    std_logic; 
          nDAT   : in    std_logic; 
          nENBL  : in    std_logic; 
          nIORQ  : in    std_logic; 
          nMREQ  : in    std_logic; 
          nRD    : in    std_logic; 
          nRDY   : in    std_logic; 
          nRESET : in    std_logic; 
          nWR    : in    std_logic; 
          nWRAM  : in    std_logic; 
          RIGHT  : in    std_logic; 
          UP     : in    std_logic; 
          DRAM   : out   std_logic; 
          EA12   : out   std_logic; 
          EA13   : out   std_logic; 
          EA14   : out   std_logic; 
          EA15   : out   std_logic; 
          EA16   : out   std_logic; 
          EA17   : out   std_logic; 
          EA18   : out   std_logic; 
          nCSIDE : out   std_logic; 
          nCSRAM : out   std_logic; 
          nDBUS  : out   std_logic; 
          nDIOR  : out   std_logic; 
          nDIOW  : out   std_logic; 
          nON    : out   std_logic; 
          nPRD   : out   std_logic; 
          nSEL   : out   std_logic; 
          nSHDW  : out   std_logic; 
          nSTB   : out   std_logic; 
          nWE    : out   std_logic; 
          PWR    : out   std_logic; 
          D      : inout std_logic_vector (7 downto 0); 
          DD     : inout std_logic_vector (15 downto 0));
   attribute PWR_MODE : string ;
   attribute PWR_MODE of nCSRAM : signal is "STD";
   attribute PWR_MODE of nDBUS : signal is "STD";
   attribute PWR_MODE of nPRD : signal is "STD";
   attribute PWR_MODE of nWE : signal is "STD";
   attribute PWR_MODE of PWR : signal is "STD";
end i1b;

architecture BEHAVIORAL of i1b is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   attribute SLEW       : string ;
   attribute KEEP       : string ;
   signal A8i         : std_logic;
   signal A12i        : std_logic;
   signal A13i        : std_logic;
   signal A14i        : std_logic;
   signal A15i        : std_logic;
   signal CLKE        : std_logic;
   signal CLKi        : std_logic;
   signal CLK2        : std_logic;
   signal CLK4        : std_logic;
   signal CSi         : std_logic;
   signal CSIO        : std_logic;
   signal DH          : std_logic_vector (7 downto 0);
   signal DI          : std_logic_vector (7 downto 0);
   signal DIORi       : std_logic;
   signal DL          : std_logic_vector (7 downto 0);
   signal DO          : std_logic_vector (7 downto 0);
   signal DOE         : std_logic;
   signal DOi         : std_logic_vector (7 downto 0);
   signal DOWNi       : std_logic;
   signal DRAMi       : std_logic;
   signal FIREi       : std_logic;
   signal IORQi       : std_logic;
   signal LEFTi       : std_logic;
   signal nCSIDEi     : std_logic;
   signal nDCS        : std_logic;
   signal nDIORi      : std_logic;
   signal nDIOWi      : std_logic;
   signal nDOE        : std_logic;
   signal nENBLi      : std_logic;
   signal nIORQi      : std_logic;
   signal nMREQi      : std_logic;
   signal nOEH        : std_logic;
   signal nOEL        : std_logic;
   signal nONi        : std_logic;
   signal nPAG        : std_logic;
   signal nRDi        : std_logic;
   signal nREG        : std_logic;
   signal nRESETi     : std_logic;
   signal nSTBi       : std_logic;
   signal nWRAMi      : std_logic;
   signal nWRH        : std_logic;
   signal nWRi        : std_logic;
   signal ONi         : std_logic;
   signal OPSYS0      : std_logic;
   signal OPSYS1      : std_logic;
   signal PAG         : std_logic;
   signal PA0         : std_logic;
   signal PA1         : std_logic;
   signal PA2         : std_logic;
   signal PA3         : std_logic;
   signal PBUSYi      : std_logic;
   signal PS          : std_logic;
   signal QA          : std_logic_vector (7 downto 0);
   signal RDWR        : std_logic;
   signal REG         : std_logic;
   signal RESET       : std_logic;
   signal RIGHTi      : std_logic;
   signal SBUSYi      : std_logic;
   signal SEA         : std_logic;
   signal SHDW        : std_logic;
   signal SS          : std_logic;
   signal STBE        : std_logic;
   signal UPi         : std_logic;
   signal WREN        : std_logic;
   signal WRL         : std_logic;
   signal XLXN_518    : std_logic;
   signal XLXN_519    : std_logic;
   signal XLXN_520    : std_logic;
   signal XLXN_521    : std_logic;
   signal XLXN_522    : std_logic;
   signal XLXN_523    : std_logic;
   signal XLXN_524    : std_logic;
   signal XLXN_821    : std_logic;
   signal XLXN_887    : std_logic;
   signal XLXN_895    : std_logic;
   signal XLXN_1276   : std_logic;
   signal XLXN_1300   : std_logic;
   signal XLXN_1927   : std_logic;
   signal XLXN_2308   : std_logic;
   signal XLXN_2591   : std_logic;
   signal XLXN_2617   : std_logic;
   signal XLXN_2977   : std_logic;
   signal XLXN_3197   : std_logic;
   signal XLXN_3204   : std_logic_vector (7 downto 0);
   signal XLXN_3207   : std_logic_vector (7 downto 0);
   signal XLXN_3281   : std_logic;
   signal XLXN_3290   : std_logic;
   signal XLXN_3291   : std_logic;
   signal XLXN_3323   : std_logic;
   signal XLXN_3345   : std_logic;
   signal XLXN_3351   : std_logic;
   signal XLXN_3354   : std_logic;
   signal XLXN_3369   : std_logic;
   signal XLXN_3385   : std_logic;
   signal XLXN_3393   : std_logic;
   signal XLXN_3400   : std_logic;
   signal XLXN_3411   : std_logic;
   signal XLXN_3427   : std_logic;
   signal XLXN_3453   : std_logic;
   signal nDIOW_DUMMY : std_logic;
   component FTCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             PRE : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FTCP : component is "BLACK_BOX";
   
   component FTP_MXILINX_i1b
      generic( INIT : bit :=  '1');
      port ( C   : in    std_logic; 
             PRE : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component LD8_MXILINX_i1b
      port ( D : in    std_logic_vector (7 downto 0); 
             G : in    std_logic; 
             Q : out   std_logic_vector (7 downto 0));
   end component;
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component FDC_MXILINX_i1b
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component D2_4E_MXILINX_i1b
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic);
   end component;
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component M2_1B1_MXILINX_i1b
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component M2_1_MXILINX_i1b
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OR2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2B1 : component is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component NOR4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4B1 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OBUFT8_MXILINX_i1b
      port ( I : in    std_logic_vector (7 downto 0); 
             T : in    std_logic; 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component IBUF8_MXILINX_i1b
      port ( I : in    std_logic_vector (7 downto 0); 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component LD4_MXILINX_i1b
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             G  : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component NAND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2 : component is "BLACK_BOX";
   
   component NOR3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3B1 : component is "BLACK_BOX";
   
   component NOR4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4B2 : component is "BLACK_BOX";
   
   component OR3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3B1 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : component is "BLACK_BOX";
   
   attribute HU_SET of DIV2 : label is "DIV2_32";
   attribute HU_SET of DIV4 : label is "DIV4_33";
   attribute HU_SET of DIV8 : label is "DIV8_34";
   attribute HU_SET of EADD : label is "EADD_7";
   attribute HU_SET of RH : label is "RH_20";
   attribute HU_SET of SHADOW : label is "SHADOW_6";
   attribute HU_SET of WL : label is "WL_23";
   attribute HU_SET of XLXI_17 : label is "XLXI_17_35";
   attribute HU_SET of XLXI_238 : label is "XLXI_238_11";
   attribute HU_SET of XLXI_239 : label is "XLXI_239_12";
   attribute HU_SET of XLXI_240 : label is "XLXI_240_13";
   attribute HU_SET of XLXI_241 : label is "XLXI_241_14";
   attribute HU_SET of XLXI_242 : label is "XLXI_242_15";
   attribute HU_SET of XLXI_534 : label is "XLXI_534_5";
   attribute HU_SET of XLXI_535 : label is "XLXI_535_2";
   attribute HU_SET of XLXI_537 : label is "XLXI_537_3";
   attribute HU_SET of XLXI_538 : label is "XLXI_538_1";
   attribute HU_SET of XLXI_1015 : label is "XLXI_1015_9";
   attribute HU_SET of XLXI_1172 : label is "XLXI_1172_4";
   attribute HU_SET of XLXI_1418 : label is "XLXI_1418_10";
   attribute PWR_MODE of XLXI_1479 : label is "STD";
   attribute HU_SET of XLXI_1505 : label is "XLXI_1505_18";
   attribute HU_SET of XLXI_1506 : label is "XLXI_1506_19";
   attribute HU_SET of XLXI_1508 : label is "XLXI_1508_22";
   attribute HU_SET of XLXI_1509 : label is "XLXI_1509_21";
   attribute HU_SET of XLXI_1571 : label is "XLXI_1571_16";
   attribute HU_SET of XLXI_1572 : label is "XLXI_1572_17";
   attribute HU_SET of XLXI_1587 : label is "XLXI_1587_8";
   attribute HU_SET of XLXI_1609_0 : label is "XLXI_1609_0_31";
   attribute HU_SET of XLXI_1609_1 : label is "XLXI_1609_1_30";
   attribute HU_SET of XLXI_1609_2 : label is "XLXI_1609_2_29";
   attribute HU_SET of XLXI_1609_3 : label is "XLXI_1609_3_28";
   attribute HU_SET of XLXI_1609_4 : label is "XLXI_1609_4_27";
   attribute HU_SET of XLXI_1609_5 : label is "XLXI_1609_5_26";
   attribute HU_SET of XLXI_1609_6 : label is "XLXI_1609_6_25";
   attribute HU_SET of XLXI_1609_7 : label is "XLXI_1609_7_24";
   attribute KEEP of XLXI_1627 : label is "TRUE";
   attribute PWR_MODE of XLXI_1627 : label is "STD";
   attribute KEEP of XLXI_1634 : label is "TRUE";
   attribute KEEP of XLXI_1637 : label is "TRUE";
begin
   nDIOW <= nDIOW_DUMMY;
   CLKCTL : FTCP
      port map (C=>nSTBi,
                CLR=>RESET,
                PRE=>STBE,
                T=>XLXN_2308,
                Q=>CLKE);
   
   DIV2 : FTP_MXILINX_i1b
      port map (C=>CLKi,
                PRE=>RESET,
                T=>CLKE,
                Q=>CLK2);
   
   DIV4 : FTP_MXILINX_i1b
      port map (C=>CLK2,
                PRE=>RESET,
                T=>XLXN_1276,
                Q=>CLK4);
   
   DIV8 : FTP_MXILINX_i1b
      port map (C=>CLK4,
                PRE=>RESET,
                T=>XLXN_1300,
                Q=>nSTBi);
   
   EADD : LD8_MXILINX_i1b
      port map (D(7 downto 0)=>DI(7 downto 0),
                G=>XLXN_887,
                Q(7 downto 0)=>QA(7 downto 0));
   
   ENABLE : FDCP
      port map (C=>XLXN_2977,
                CLR=>RESET,
                D=>PA0,
                PRE=>XLXN_1927,
                Q=>ONi);
   
   RH : LD8_MXILINX_i1b
      port map (D(7 downto 0)=>XLXN_3204(7 downto 0),
                G=>DIORi,
                Q(7 downto 0)=>DH(7 downto 0));
   
   SHADOW : FDC_MXILINX_i1b
      port map (C=>XLXN_895,
                CLR=>nONi,
                D=>PA0,
                Q=>SHDW);
   
   WL : LD8_MXILINX_i1b
      port map (D(7 downto 0)=>DI(7 downto 0),
                G=>WRL,
                Q(7 downto 0)=>XLXN_3207(7 downto 0));
   
   XLXI_2 : IBUF
      port map (I=>A14,
                O=>A14i);
   
   XLXI_3 : IBUF
      port map (I=>A15,
                O=>A15i);
   
   XLXI_4 : IBUF
      port map (I=>nMREQ,
                O=>nMREQi);
   
   XLXI_5 : IBUF
      port map (I=>nIORQ,
                O=>nIORQi);
   
   XLXI_6 : IBUF
      port map (I=>CS,
                O=>CSi);
   
   XLXI_10 : IBUF
      port map (I=>A5,
                O=>PA1);
   
   XLXI_11 : IBUF
      port map (I=>A6,
                O=>PA2);
   
   XLXI_17 : D2_4E_MXILINX_i1b
      port map (A0=>PA1,
                A1=>PA2,
                E=>CSIO,
                D0=>REG,
                D1=>SS,
                D2=>PS,
                D3=>PAG);
   
   XLXI_34 : IBUF
      port map (I=>A7,
                O=>PA3);
   
   XLXI_36 : IBUF
      port map (I=>A2,
                O=>PA0);
   
   XLXI_39 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_40 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_69 : OBUF
      port map (I=>XLXN_3197,
                O=>nCSRAM);
   
   XLXI_72 : OBUF
      port map (I=>nCSIDEi,
                O=>nCSIDE);
   
   XLXI_161 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_228 : IBUF
      port map (I=>FIRE,
                O=>FIREi);
   
   XLXI_229 : IBUF
      port map (I=>RIGHT,
                O=>UPi);
   
   XLXI_230 : IBUF
      port map (I=>LEFT,
                O=>DOWNi);
   
   XLXI_231 : IBUF
      port map (I=>DOWN,
                O=>LEFTi);
   
   XLXI_232 : IBUF
      port map (I=>UP,
                O=>RIGHTi);
   
   XLXI_238 : M2_1B1_MXILINX_i1b
      port map (D0=>FIREi,
                D1=>DOi(4),
                S0=>PA3,
                O=>DO(4));
   
   XLXI_239 : M2_1B1_MXILINX_i1b
      port map (D0=>UPi,
                D1=>DOi(3),
                S0=>PA3,
                O=>DO(3));
   
   XLXI_240 : M2_1B1_MXILINX_i1b
      port map (D0=>DOWNi,
                D1=>DOi(2),
                S0=>PA3,
                O=>DO(2));
   
   XLXI_241 : M2_1B1_MXILINX_i1b
      port map (D0=>LEFTi,
                D1=>DOi(1),
                S0=>PA3,
                O=>DO(1));
   
   XLXI_242 : M2_1B1_MXILINX_i1b
      port map (D0=>RIGHTi,
                D1=>DOi(0),
                S0=>PA3,
                O=>DO(0));
   
   XLXI_534 : M2_1_MXILINX_i1b
      port map (D0=>A12i,
                D1=>QA(0),
                S0=>SEA,
                O=>XLXN_518);
   
   XLXI_535 : M2_1_MXILINX_i1b
      port map (D0=>A13i,
                D1=>QA(1),
                S0=>SEA,
                O=>XLXN_519);
   
   XLXI_537 : M2_1B1_MXILINX_i1b
      port map (D0=>OPSYS0,
                D1=>QA(3),
                S0=>SEA,
                O=>XLXN_521);
   
   XLXI_538 : M2_1B1_MXILINX_i1b
      port map (D0=>OPSYS1,
                D1=>QA(4),
                S0=>SEA,
                O=>XLXN_522);
   
   XLXI_539 : OR2B1
      port map (I0=>SEA,
                I1=>QA(5),
                O=>XLXN_523);
   
   XLXI_540 : OR2B1
      port map (I0=>SEA,
                I1=>QA(6),
                O=>XLXN_524);
   
   XLXI_557 : OBUF
      port map (I=>XLXN_518,
                O=>EA12);
   
   XLXI_558 : OBUF
      port map (I=>XLXN_519,
                O=>EA13);
   
   XLXI_559 : OBUF
      port map (I=>XLXN_520,
                O=>EA14);
   
   XLXI_560 : OBUF
      port map (I=>XLXN_521,
                O=>EA15);
   
   XLXI_561 : OBUF
      port map (I=>XLXN_522,
                O=>EA16);
   
   XLXI_562 : OBUF
      port map (I=>XLXN_523,
                O=>EA17);
   
   XLXI_563 : OBUF
      port map (I=>XLXN_524,
                O=>EA18);
   
   XLXI_611 : OBUF
      port map (I=>XLXN_821,
                O=>nWE);
   
   XLXI_643 : OBUF
      port map (I=>nONi,
                O=>nON);
   
   XLXI_652 : AND2B1
      port map (I0=>nENBLi,
                I1=>nMREQi,
                O=>XLXN_1927);
   
   XLXI_653 : IBUF
      port map (I=>nRESET,
                O=>nRESETi);
   
   XLXI_654 : IBUF
      port map (I=>nENBL,
                O=>nENBLi);
   
   XLXI_655 : IBUF
      port map (I=>nWRAM,
                O=>nWRAMi);
   
   XLXI_656 : IBUF
      port map (I=>A13,
                O=>A13i);
   
   XLXI_882 : VCC
      port map (P=>XLXN_1276);
   
   XLXI_889 : OBUF
      port map (I=>nSTBi,
                O=>nSTB);
   
   XLXI_891 : VCC
      port map (P=>XLXN_1300);
   
   XLXI_892 : IBUF
      port map (I=>CLK,
                O=>CLKi);
   
   XLXI_904 : OR2
      port map (I0=>XLXN_3369,
                I1=>nWRi,
                O=>XLXN_821);
   
   XLXI_921 : NOR2
      port map (I0=>XLXN_3351,
                I1=>WREN,
                O=>XLXN_3369);
   
   XLXI_959 : IBUF
      port map (I=>A12,
                O=>A12i);
   
   XLXI_1015 : M2_1_MXILINX_i1b
      port map (D0=>XLXN_2591,
                D1=>DOi(7),
                S0=>PA3,
                O=>DO(7));
   
   XLXI_1055 : IBUF
      port map (I=>nRDY,
                O=>PBUSYi);
   
   XLXI_1135 : OR2
      port map (I0=>XLXN_3427,
                I1=>nDCS,
                O=>nCSIDEi);
   
   XLXI_1148 : INV
      port map (I=>ONi,
                O=>nONi);
   
   XLXI_1172 : M2_1_MXILINX_i1b
      port map (D0=>SHDW,
                D1=>QA(2),
                S0=>SEA,
                O=>XLXN_520);
   
   XLXI_1173 : AND3
      port map (I0=>XLXN_3354,
                I1=>SHDW,
                I2=>A13i,
                O=>XLXN_3351);
   
   XLXI_1174 : AND4
      port map (I0=>SHDW,
                I1=>A13i,
                I2=>A12i,
                I3=>QA(7),
                O=>SEA);
   
   XLXI_1329 : VCC
      port map (P=>XLXN_2308);
   
   XLXI_1336 : OBUF
      port map (I=>nDIOWi,
                O=>nDIOW_DUMMY);
   
   XLXI_1418 : M2_1_MXILINX_i1b
      port map (D0=>XLXN_2617,
                D1=>DOi(6),
                S0=>PA3,
                O=>DO(6));
   
   XLXI_1422 : IBUF
      port map (I=>nDAT,
                O=>SBUSYi);
   
   XLXI_1436 : AND2B1
      port map (I0=>PA0,
                I1=>PBUSYi,
                O=>XLXN_2591);
   
   XLXI_1437 : AND2B1
      port map (I0=>PA0,
                I1=>SBUSYi,
                O=>XLXN_2617);
   
   XLXI_1463 : OR4
      port map (I0=>nONi,
                I1=>nMREQi,
                I2=>A15i,
                I3=>A14i,
                O=>XLXN_3197);
   
   XLXI_1473 : GND
      port map (G=>XLXN_3400);
   
   XLXI_1474 : NOR4B1
      port map (I0=>A8i,
                I1=>PA0,
                I2=>PA2,
                I3=>PA1,
                O=>XLXN_3427);
   
   XLXI_1475 : AND2
      port map (I0=>nRDi,
                I1=>nWRi,
                O=>RDWR);
   
   XLXI_1479 : FDCP
      port map (C=>XLXN_3400,
                CLR=>RDWR,
                D=>XLXN_3400,
                PRE=>XLXN_3281,
                Q=>IORQi);
   
   XLXI_1503 : AND3
      port map (I0=>IORQi,
                I1=>PS,
                I2=>PA0,
                O=>STBE);
   
   XLXI_1504 : INV
      port map (I=>nIORQi,
                O=>XLXN_3281);
   
   XLXI_1505 : OBUFT8_MXILINX_i1b
      port map (I(7 downto 0)=>DI(7 downto 0),
                T=>nOEH,
                O(7 downto 0)=>DD(15 downto 8));
   
   XLXI_1506 : IBUF8_MXILINX_i1b
      port map (I(7 downto 0)=>DD(15 downto 8),
                O(7 downto 0)=>XLXN_3204(7 downto 0));
   
   XLXI_1508 : IBUF8_MXILINX_i1b
      port map (I(7 downto 0)=>DD(7 downto 0),
                O(7 downto 0)=>DL(7 downto 0));
   
   XLXI_1509 : OBUFT8_MXILINX_i1b
      port map (I(7 downto 0)=>XLXN_3207(7 downto 0),
                T=>nOEL,
                O(7 downto 0)=>DD(7 downto 0));
   
   XLXI_1525 : IBUF
      port map (I=>nDIOW_DUMMY,
                O=>nOEL);
   
   XLXI_1571 : IBUF8_MXILINX_i1b
      port map (I(7 downto 0)=>D(7 downto 0),
                O(7 downto 0)=>DI(7 downto 0));
   
   XLXI_1572 : OBUFT8_MXILINX_i1b
      port map (I(7 downto 0)=>DO(7 downto 0),
                T=>nDOE,
                O(7 downto 0)=>D(7 downto 0));
   
   XLXI_1577 : OBUF
      port map (I=>XLXN_3290,
                O=>PWR);
   
   XLXI_1579 : OBUF
      port map (I=>XLXN_3291,
                O=>nPRD);
   
   XLXI_1583 : AND2
      port map (I0=>XLXN_3385,
                I1=>XLXN_3197,
                O=>XLXN_3323);
   
   XLXI_1584 : OBUF
      port map (I=>XLXN_3323,
                O=>nDBUS);
   
   XLXI_1587 : LD4_MXILINX_i1b
      port map (D0=>DI(0),
                D1=>DI(1),
                D2=>DI(2),
                D3=>DI(3),
                G=>XLXN_3345,
                Q0=>OPSYS0,
                Q1=>OPSYS1,
                Q2=>WREN,
                Q3=>DRAMi);
   
   XLXI_1588 : OBUF
      port map (I=>DRAMi,
                O=>DRAM);
   
   XLXI_1593 : OBUF
      port map (I=>nDIORi,
                O=>nDIOR);
   
   XLXI_1594 : OBUF
      port map (I=>XLXN_3393,
                O=>nSHDW);
   
   XLXI_1595 : INV
      port map (I=>SHDW,
                O=>XLXN_3393);
   
   XLXI_1609_0 : M2_1_MXILINX_i1b
      port map (D0=>DL(0),
                D1=>DH(0),
                S0=>nCSIDEi,
                O=>DOi(0));
   
   XLXI_1609_1 : M2_1_MXILINX_i1b
      port map (D0=>DL(1),
                D1=>DH(1),
                S0=>nCSIDEi,
                O=>DOi(1));
   
   XLXI_1609_2 : M2_1_MXILINX_i1b
      port map (D0=>DL(2),
                D1=>DH(2),
                S0=>nCSIDEi,
                O=>DOi(2));
   
   XLXI_1609_3 : M2_1_MXILINX_i1b
      port map (D0=>DL(3),
                D1=>DH(3),
                S0=>nCSIDEi,
                O=>DOi(3));
   
   XLXI_1609_4 : M2_1_MXILINX_i1b
      port map (D0=>DL(4),
                D1=>DH(4),
                S0=>nCSIDEi,
                O=>DOi(4));
   
   XLXI_1609_5 : M2_1_MXILINX_i1b
      port map (D0=>DL(5),
                D1=>DH(5),
                S0=>nCSIDEi,
                O=>DOi(5));
   
   XLXI_1609_6 : M2_1_MXILINX_i1b
      port map (D0=>DL(6),
                D1=>DH(6),
                S0=>nCSIDEi,
                O=>DOi(6));
   
   XLXI_1609_7 : M2_1_MXILINX_i1b
      port map (D0=>DL(7),
                D1=>DH(7),
                S0=>nCSIDEi,
                O=>DOi(7));
   
   XLXI_1610 : INV
      port map (I=>nRESETi,
                O=>RESET);
   
   XLXI_1619 : OR3
      port map (I0=>DOE,
                I1=>nRDi,
                I2=>nIORQi,
                O=>nDOE);
   
   XLXI_1620 : OR2B1
      port map (I0=>CSi,
                I1=>nIORQi,
                O=>XLXN_3385);
   
   XLXI_1622 : NAND2
      port map (I0=>PA3,
                I1=>CSi,
                O=>nDCS);
   
   XLXI_1623 : OR2
      port map (I0=>A12i,
                I1=>nWRAMi,
                O=>XLXN_3354);
   
   XLXI_1624 : AND2
      port map (I0=>DOi(5),
                I1=>PA3,
                O=>DO(5));
   
   XLXI_1627 : NOR3B1
      port map (I0=>IORQi,
                I1=>nCSIDEi,
                I2=>nRDi,
                O=>DIORi);
   
   XLXI_1628 : INV
      port map (I=>DIORi,
                O=>nDIORi);
   
   XLXI_1632 : NOR4B2
      port map (I0=>nWRH,
                I1=>IORQi,
                I2=>nWRi,
                I3=>nDCS,
                O=>WRL);
   
   XLXI_1633 : OR2
      port map (I0=>nOEL,
                I1=>nWRH,
                O=>nOEH);
   
   XLXI_1634 : OR4
      port map (I0=>PA1,
                I1=>PA2,
                I2=>PA0,
                I3=>A8i,
                O=>nWRH);
   
   XLXI_1635 : OR3B1
      port map (I0=>IORQi,
                I1=>nCSIDEi,
                I2=>nWRi,
                O=>nDIOWi);
   
   XLXI_1637 : AND2
      port map (I0=>nDCS,
                I1=>XLXN_3411,
                O=>DOE);
   
   XLXI_1641 : OR2B1
      port map (I0=>PS,
                I1=>nRDi,
                O=>XLXN_3291);
   
   XLXI_1643 : AND3B1
      port map (I0=>PA3,
                I1=>IORQi,
                I2=>CSi,
                O=>CSIO);
   
   XLXI_1645 : AND2B1
      port map (I0=>nWRi,
                I1=>PS,
                O=>XLXN_3290);
   
   XLXI_1647 : INV
      port map (I=>PAG,
                O=>nPAG);
   
   XLXI_1648 : NOR3B1
      port map (I0=>PA0,
                I1=>nWRi,
                I2=>nREG,
                O=>XLXN_887);
   
   XLXI_1649 : NOR2
      port map (I0=>nWRi,
                I1=>nPAG,
                O=>XLXN_895);
   
   XLXI_1650 : NOR3
      port map (I0=>PA0,
                I1=>nWRi,
                I2=>nREG,
                O=>XLXN_3345);
   
   XLXI_1651 : NOR2
      port map (I0=>nRDi,
                I1=>nPAG,
                O=>XLXN_2977);
   
   XLXI_1654 : INV
      port map (I=>REG,
                O=>nREG);
   
   XLXI_1655 : INV
      port map (I=>SS,
                O=>XLXN_3453);
   
   XLXI_1656 : OBUF
      port map (I=>XLXN_3453,
                O=>nSEL);
   
   XLXI_1720 : OR3B1
      port map (I0=>CSi,
                I1=>PA2,
                I2=>PA1,
                O=>XLXN_3411);
   
end BEHAVIORAL;


