--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : I1B3a.vhf
-- /___/   /\     Timestamp : 01/09/2013 19:56:03
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500 -flat -suppress -vhdl F:/ZXS/DES/IF1b/3/a/Board/ISE/I1B3a.vhf -w F:/ZXS/DES/IF1b/3/a/Board/ISE/I1B3a.sch
--Design Name: I1B3a
--Device: xc9500
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD4_MXILINX_I1B3a is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          G  : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end LD4_MXILINX_I1B3a;

architecture BEHAVIORAL of LD4_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   U0 : LD
      port map (D=>D0,
                G=>G,
                Q=>Q0);
   
   U1 : LD
      port map (D=>D1,
                G=>G,
                Q=>Q1);
   
   U2 : LD
      port map (D=>D2,
                G=>G,
                Q=>Q2);
   
   U3 : LD
      port map (D=>D3,
                G=>G,
                Q=>Q3);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDC_MXILINX_I1B3a is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_I1B3a;

architecture BEHAVIORAL of FDC_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>D,
                PRE=>XLXN_5,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_I1B3a is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_I1B3a;

architecture BEHAVIORAL of FTC_MXILINX_I1B3a is
   attribute BOX_TYPE       : string ;
   attribute HU_SET         : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC_MXILINX_I1B3a
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_35 : label is "I_36_35_0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC_MXILINX_I1B3a
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D2_4E_MXILINX_I1B3a is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic);
end D2_4E_MXILINX_I1B3a;

architecture BEHAVIORAL of D2_4E_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D3);
   
   I_36_31 : AND3B1
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D2);
   
   I_36_32 : AND3B1
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D1);
   
   I_36_33 : AND3B2
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD8_MXILINX_I1B3a is
   port ( D : in    std_logic_vector (7 downto 0); 
          G : in    std_logic; 
          Q : out   std_logic_vector (7 downto 0));
end LD8_MXILINX_I1B3a;

architecture BEHAVIORAL of LD8_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   Q0 : LD
      port map (D=>D(0),
                G=>G,
                Q=>Q(0));
   
   Q1 : LD
      port map (D=>D(1),
                G=>G,
                Q=>Q(1));
   
   Q2 : LD
      port map (D=>D(2),
                G=>G,
                Q=>Q(2));
   
   Q3 : LD
      port map (D=>D(3),
                G=>G,
                Q=>Q(3));
   
   Q4 : LD
      port map (D=>D(4),
                G=>G,
                Q=>Q(4));
   
   Q5 : LD
      port map (D=>D(5),
                G=>G,
                Q=>Q(5));
   
   Q6 : LD
      port map (D=>D(6),
                G=>G,
                Q=>Q(6));
   
   Q7 : LD
      port map (D=>D(7),
                G=>G,
                Q=>Q(7));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_I1B3a is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_I1B3a;

architecture BEHAVIORAL of M2_1_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1B1_MXILINX_I1B3a is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1B1_MXILINX_I1B3a;

architecture BEHAVIORAL of M2_1B1_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B2
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFT8_MXILINX_I1B3a is
   port ( I : in    std_logic_vector (7 downto 0); 
          T : in    std_logic; 
          O : out   std_logic_vector (7 downto 0));
end OBUFT8_MXILINX_I1B3a;

architecture BEHAVIORAL of OBUFT8_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
begin
   I_36_30 : OBUFT
      port map (I=>I(0),
                T=>T,
                O=>O(0));
   
   I_36_31 : OBUFT
      port map (I=>I(1),
                T=>T,
                O=>O(1));
   
   I_36_32 : OBUFT
      port map (I=>I(2),
                T=>T,
                O=>O(2));
   
   I_36_33 : OBUFT
      port map (I=>I(3),
                T=>T,
                O=>O(3));
   
   I_36_34 : OBUFT
      port map (I=>I(7),
                T=>T,
                O=>O(7));
   
   I_36_35 : OBUFT
      port map (I=>I(6),
                T=>T,
                O=>O(6));
   
   I_36_36 : OBUFT
      port map (I=>I(5),
                T=>T,
                O=>O(5));
   
   I_36_37 : OBUFT
      port map (I=>I(4),
                T=>T,
                O=>O(4));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF8_MXILINX_I1B3a is
   port ( I : in    std_logic_vector (7 downto 0); 
          O : out   std_logic_vector (7 downto 0));
end IBUF8_MXILINX_I1B3a;

architecture BEHAVIORAL of IBUF8_MXILINX_I1B3a is
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_31 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_32 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_33 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_34 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_35 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_36 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_37 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity I1B3a is
   port ( A0     : in    std_logic; 
          A1     : in    std_logic; 
          A2     : in    std_logic; 
          A3     : in    std_logic; 
          A4     : in    std_logic; 
          A5     : in    std_logic; 
          A6     : in    std_logic; 
          A7     : in    std_logic; 
          A8     : in    std_logic; 
          A9     : in    std_logic; 
          A10    : in    std_logic; 
          A11    : in    std_logic; 
          A12    : in    std_logic; 
          A13    : in    std_logic; 
          A14    : in    std_logic; 
          A15    : in    std_logic; 
          nENBL  : in    std_logic; 
          nIORQ  : in    std_logic; 
          nMREQ  : in    std_logic; 
          nNMI   : in    std_logic; 
          nRD    : in    std_logic; 
          nWR    : in    std_logic; 
          DA0    : out   std_logic; 
          DA1    : out   std_logic; 
          DA2    : out   std_logic; 
          DRAM   : out   std_logic; 
          EA12   : out   std_logic; 
          EA13   : out   std_logic; 
          EA14   : out   std_logic; 
          EA15   : out   std_logic; 
          EA16   : out   std_logic; 
          EA17   : out   std_logic; 
          EA18   : out   std_logic; 
          nCSRAM : out   std_logic; 
          nCS0   : out   std_logic; 
          nDIOR  : out   std_logic; 
          nDIOW  : out   std_logic; 
          nON    : out   std_logic; 
          nPMCS  : out   std_logic; 
          nROMCS : out   std_logic; 
          nSHD   : out   std_logic; 
          nWE    : out   std_logic; 
          PA0    : out   std_logic; 
          PA1    : out   std_logic; 
          D      : inout std_logic_vector (7 downto 0); 
          DD     : inout std_logic_vector (15 downto 0));
   attribute PWR_MODE : string ;
   attribute PWR_MODE of nCSRAM : signal is "STD";
   attribute PWR_MODE of nROMCS : signal is "STD";
   attribute PWR_MODE of nWE : signal is "STD";
   attribute PWR_MODE of D : signal is "STD";
end I1B3a;

architecture BEHAVIORAL of I1B3a is
   attribute KEEP       : string ;
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute SLEW       : string ;
   signal A2i         : std_logic;
   signal A5i         : std_logic;
   signal A6i         : std_logic;
   signal A7i         : std_logic;
   signal A8i         : std_logic;
   signal A9i         : std_logic;
   signal A10i        : std_logic;
   signal A11i        : std_logic;
   signal A12i        : std_logic;
   signal A13i        : std_logic;
   signal A14i        : std_logic;
   signal A15i        : std_logic;
   signal CSIO        : std_logic;
   signal DCE         : std_logic;
   signal DDH         : std_logic_vector (7 downto 0);
   signal DDL         : std_logic_vector (7 downto 0);
   signal DH          : std_logic_vector (7 downto 0);
   signal DI          : std_logic_vector (7 downto 0);
   signal DIORi       : std_logic;
   signal DL          : std_logic_vector (7 downto 0);
   signal DO          : std_logic_vector (7 downto 0);
   signal ENABL       : std_logic;
   signal IORQi       : std_logic;
   signal nCSi        : std_logic;
   signal nCS0i       : std_logic;
   signal nDCS        : std_logic;
   signal nDIORi      : std_logic;
   signal nDIOWi      : std_logic;
   signal nDOE        : std_logic;
   signal nIORQi      : std_logic;
   signal nMREQi      : std_logic;
   signal nOEH        : std_logic;
   signal nOEL        : std_logic;
   signal nONi        : std_logic;
   signal nPAG        : std_logic;
   signal nPMCSi      : std_logic;
   signal nRDi        : std_logic;
   signal nREG        : std_logic;
   signal nWRH        : std_logic;
   signal nWRi        : std_logic;
   signal ONi         : std_logic;
   signal OPSYS0      : std_logic;
   signal OPSYS1      : std_logic;
   signal QA          : std_logic_vector (7 downto 0);
   signal RAMD        : std_logic;
   signal SA0i        : std_logic;
   signal SA1i        : std_logic;
   signal SA2i        : std_logic;
   signal SA3i        : std_logic;
   signal SHDWi       : std_logic;
   signal WEN         : std_logic;
   signal WRL         : std_logic;
   signal XLXN_518    : std_logic;
   signal XLXN_519    : std_logic;
   signal XLXN_520    : std_logic;
   signal XLXN_521    : std_logic;
   signal XLXN_522    : std_logic;
   signal XLXN_523    : std_logic;
   signal XLXN_524    : std_logic;
   signal XLXN_821    : std_logic;
   signal XLXN_887    : std_logic;
   signal XLXN_895    : std_logic;
   signal XLXN_2977   : std_logic;
   signal XLXN_3069   : std_logic;
   signal XLXN_3197   : std_logic;
   signal XLXN_3696   : std_logic;
   signal XLXN_3738   : std_logic;
   signal XLXN_3768   : std_logic;
   signal XLXN_3770   : std_logic;
   signal XLXN_3771   : std_logic;
   signal XLXN_3772   : std_logic;
   signal XLXN_4010   : std_logic;
   signal XLXN_4015   : std_logic;
   signal XLXN_4045   : std_logic;
   signal XLXN_4062   : std_logic;
   signal XLXN_4067   : std_logic;
   signal XLXN_4109   : std_logic;
   signal XLXN_4110   : std_logic;
   signal XLXN_4114   : std_logic;
   signal XLXN_4115   : std_logic;
   signal XLXN_4214   : std_logic;
   signal XLXN_4215   : std_logic;
   signal XLXN_4217   : std_logic;
   signal XLXN_4260   : std_logic;
   signal XLXN_4281   : std_logic;
   signal XLXN_4394   : std_logic;
   signal XLXN_4488   : std_logic;
   signal XLXN_4506   : std_logic;
   signal XLXN_4507   : std_logic;
   signal XLXN_4513   : std_logic;
   signal XLXN_4516   : std_logic;
   signal XLXN_4521   : std_logic;
   signal XLXN_4523   : std_logic;
   signal XLXN_4524   : std_logic;
   signal XLXN_4527   : std_logic;
   signal XLXN_4528   : std_logic;
   signal nDIOW_DUMMY : std_logic;
   component LD8_MXILINX_I1B3a
      port ( D : in    std_logic_vector (7 downto 0); 
             G : in    std_logic; 
             Q : out   std_logic_vector (7 downto 0));
   end component;
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component FDC_MXILINX_I1B3a
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component D2_4E_MXILINX_I1B3a
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component M2_1_MXILINX_I1B3a
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component M2_1B1_MXILINX_I1B3a
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OR2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component IBUF8_MXILINX_I1B3a
      port ( I : in    std_logic_vector (7 downto 0); 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component OBUFT8_MXILINX_I1B3a
      port ( I : in    std_logic_vector (7 downto 0); 
             T : in    std_logic; 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component NOR3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3B1 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : component is "BLACK_BOX";
   
   component OR4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4B1 : component is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component FTC_MXILINX_I1B3a
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component LD4_MXILINX_I1B3a
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             G  : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component NOR4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR4B2 : component is "BLACK_BOX";
   
   component OR3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3B1 : component is "BLACK_BOX";
   
   attribute KEEP of DIORi : signal is "TRUE";
   attribute PWR_MODE of DIORi : signal is "STD";
   attribute PWR_MODE of IORQi : signal is "STD";
   attribute PWR_MODE of nOEL : signal is "STD";
   attribute HU_SET of EADD : label is "EADD_23";
   attribute HU_SET of RH : label is "RH_15";
   attribute HU_SET of SHADOW : label is "SHADOW_22";
   attribute HU_SET of WL : label is "WL_2";
   attribute HU_SET of XLXI_17 : label is "XLXI_17_25";
   attribute HU_SET of XLXI_534 : label is "XLXI_534_21";
   attribute HU_SET of XLXI_535 : label is "XLXI_535_18";
   attribute HU_SET of XLXI_537 : label is "XLXI_537_19";
   attribute HU_SET of XLXI_538 : label is "XLXI_538_17";
   attribute HU_SET of XLXI_1172 : label is "XLXI_1172_20";
   attribute HU_SET of XLXI_1591 : label is "XLXI_1591_13";
   attribute HU_SET of XLXI_1592 : label is "XLXI_1592_16";
   attribute HU_SET of XLXI_1593 : label is "XLXI_1593_14";
   attribute HU_SET of XLXI_1597 : label is "XLXI_1597_11";
   attribute HU_SET of XLXI_1659 : label is "XLXI_1659_1";
   attribute HU_SET of XLXI_1775 : label is "XLXI_1775_12";
   attribute HU_SET of XLXI_1781_0 : label is "XLXI_1781_0_10";
   attribute HU_SET of XLXI_1781_1 : label is "XLXI_1781_1_9";
   attribute HU_SET of XLXI_1781_2 : label is "XLXI_1781_2_8";
   attribute HU_SET of XLXI_1781_3 : label is "XLXI_1781_3_7";
   attribute HU_SET of XLXI_1781_4 : label is "XLXI_1781_4_6";
   attribute HU_SET of XLXI_1781_5 : label is "XLXI_1781_5_5";
   attribute HU_SET of XLXI_1781_6 : label is "XLXI_1781_6_4";
   attribute HU_SET of XLXI_1781_7 : label is "XLXI_1781_7_3";
   attribute HU_SET of XLXI_1861 : label is "XLXI_1861_24";
   attribute KEEP of XLXI_1883 : label is "TRUE";
   attribute KEEP of XLXI_1888 : label is "TRUE";
   attribute KEEP of XLXI_1890 : label is "TRUE";
   attribute KEEP of XLXI_1907 : label is "TRUE";
   attribute HU_SET of XLXI_1912 : label is "XLXI_1912_26";
   attribute HU_SET of XLXI_1942 : label is "XLXI_1942_27";
begin
   nDIOW <= nDIOW_DUMMY;
   EADD : LD8_MXILINX_I1B3a
      port map (D(7 downto 0)=>DI(7 downto 0),
                G=>XLXN_887,
                Q(7 downto 0)=>QA(7 downto 0));
   
   PAGE : FDCP
      port map (C=>XLXN_2977,
                CLR=>XLXN_4513,
                D=>A7i,
                PRE=>XLXN_4010,
                Q=>ONi);
   
   RH : LD8_MXILINX_I1B3a
      port map (D(7 downto 0)=>DDH(7 downto 0),
                G=>DIORi,
                Q(7 downto 0)=>DH(7 downto 0));
   
   SHADOW : FDC_MXILINX_I1B3a
      port map (C=>XLXN_895,
                CLR=>nONi,
                D=>A7i,
                Q=>SHDWi);
   
   WL : LD8_MXILINX_I1B3a
      port map (D(7 downto 0)=>DI(7 downto 0),
                G=>WRL,
                Q(7 downto 0)=>DDL(7 downto 0));
   
   XLXI_2 : IBUF
      port map (I=>A14,
                O=>A14i);
   
   XLXI_3 : IBUF
      port map (I=>A15,
                O=>A15i);
   
   XLXI_4 : IBUF
      port map (I=>nMREQ,
                O=>nMREQi);
   
   XLXI_5 : IBUF
      port map (I=>nIORQ,
                O=>nIORQi);
   
   XLXI_6 : IBUF
      port map (I=>A4,
                O=>SA3i);
   
   XLXI_10 : IBUF
      port map (I=>A6,
                O=>A6i);
   
   XLXI_11 : IBUF
      port map (I=>A5,
                O=>A5i);
   
   XLXI_17 : D2_4E_MXILINX_I1B3a
      port map (A0=>A6i,
                A1=>A5i,
                E=>CSIO,
                D0=>XLXN_4506,
                D1=>XLXN_4507,
                D2=>XLXN_4062,
                D3=>XLXN_4067);
   
   XLXI_34 : IBUF
      port map (I=>A2,
                O=>A2i);
   
   XLXI_36 : IBUF
      port map (I=>A7,
                O=>A7i);
   
   XLXI_39 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_40 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_71 : VCC
      port map (P=>XLXN_3069);
   
   XLXI_72 : OBUF
      port map (I=>nCS0i,
                O=>nCS0);
   
   XLXI_140 : OBUF
      port map (I=>nDIOWi,
                O=>nDIOW_DUMMY);
   
   XLXI_161 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_534 : M2_1_MXILINX_I1B3a
      port map (D0=>A12i,
                D1=>QA(0),
                S0=>RAMD,
                O=>XLXN_518);
   
   XLXI_535 : M2_1_MXILINX_I1B3a
      port map (D0=>A13i,
                D1=>QA(1),
                S0=>RAMD,
                O=>XLXN_519);
   
   XLXI_537 : M2_1B1_MXILINX_I1B3a
      port map (D0=>OPSYS0,
                D1=>QA(3),
                S0=>RAMD,
                O=>XLXN_521);
   
   XLXI_538 : M2_1B1_MXILINX_I1B3a
      port map (D0=>OPSYS1,
                D1=>QA(4),
                S0=>RAMD,
                O=>XLXN_522);
   
   XLXI_539 : OR2B1
      port map (I0=>RAMD,
                I1=>QA(5),
                O=>XLXN_523);
   
   XLXI_540 : OR2B1
      port map (I0=>RAMD,
                I1=>QA(6),
                O=>XLXN_524);
   
   XLXI_557 : OBUF
      port map (I=>XLXN_518,
                O=>EA12);
   
   XLXI_558 : OBUF
      port map (I=>XLXN_519,
                O=>EA13);
   
   XLXI_559 : OBUF
      port map (I=>XLXN_520,
                O=>EA14);
   
   XLXI_560 : OBUF
      port map (I=>XLXN_521,
                O=>EA15);
   
   XLXI_561 : OBUF
      port map (I=>XLXN_522,
                O=>EA16);
   
   XLXI_562 : OBUF
      port map (I=>XLXN_523,
                O=>EA17);
   
   XLXI_563 : OBUF
      port map (I=>XLXN_524,
                O=>EA18);
   
   XLXI_611 : OBUF
      port map (I=>XLXN_821,
                O=>nWE);
   
   XLXI_643 : OBUF
      port map (I=>nONi,
                O=>nON);
   
   XLXI_654 : IBUF
      port map (I=>nENBL,
                O=>XLXN_4521);
   
   XLXI_656 : IBUF
      port map (I=>A13,
                O=>A13i);
   
   XLXI_904 : OR2
      port map (I0=>XLXN_3771,
                I1=>nWRi,
                O=>XLXN_821);
   
   XLXI_921 : NOR2
      port map (I0=>XLXN_3770,
                I1=>WEN,
                O=>XLXN_3771);
   
   XLXI_959 : IBUF
      port map (I=>A12,
                O=>A12i);
   
   XLXI_1148 : INV
      port map (I=>ONi,
                O=>nONi);
   
   XLXI_1172 : M2_1_MXILINX_I1B3a
      port map (D0=>SHDWi,
                D1=>QA(2),
                S0=>RAMD,
                O=>XLXN_520);
   
   XLXI_1173 : AND3
      port map (I0=>XLXN_3768,
                I1=>A13i,
                I2=>SHDWi,
                O=>XLXN_3770);
   
   XLXI_1174 : AND4
      port map (I0=>SHDWi,
                I1=>A13i,
                I2=>A12i,
                I3=>QA(7),
                O=>RAMD);
   
   XLXI_1391 : OBUF
      port map (I=>nPMCSi,
                O=>nPMCS);
   
   XLXI_1463 : OR4
      port map (I0=>nMREQi,
                I1=>A15i,
                I2=>A14i,
                I3=>nONi,
                O=>XLXN_3197);
   
   XLXI_1475 : AND2
      port map (I0=>nRDi,
                I1=>nWRi,
                O=>XLXN_4015);
   
   XLXI_1479 : FDCP
      port map (C=>XLXN_4394,
                CLR=>XLXN_4015,
                D=>XLXN_4394,
                PRE=>XLXN_4045,
                Q=>IORQi);
   
   XLXI_1515 : IBUF
      port map (I=>A3,
                O=>SA2i);
   
   XLXI_1516 : IBUF
      port map (I=>A1,
                O=>SA1i);
   
   XLXI_1517 : IBUF
      port map (I=>A0,
                O=>SA0i);
   
   XLXI_1571 : AND3
      port map (I0=>A11i,
                I1=>A10i,
                I2=>A9i,
                O=>XLXN_3738);
   
   XLXI_1572 : IBUF
      port map (I=>A9,
                O=>A9i);
   
   XLXI_1573 : IBUF
      port map (I=>A10,
                O=>A10i);
   
   XLXI_1574 : IBUF
      port map (I=>A11,
                O=>A11i);
   
   XLXI_1575 : OR2
      port map (I0=>A12i,
                I1=>XLXN_3738,
                O=>XLXN_3768);
   
   XLXI_1591 : IBUF8_MXILINX_I1B3a
      port map (I(7 downto 0)=>DD(7 downto 0),
                O(7 downto 0)=>DL(7 downto 0));
   
   XLXI_1592 : OBUFT8_MXILINX_I1B3a
      port map (I(7 downto 0)=>DI(7 downto 0),
                T=>nOEH,
                O(7 downto 0)=>DD(15 downto 8));
   
   XLXI_1593 : IBUF8_MXILINX_I1B3a
      port map (I(7 downto 0)=>DD(15 downto 8),
                O(7 downto 0)=>DDH(7 downto 0));
   
   XLXI_1597 : OBUFT8_MXILINX_I1B3a
      port map (I(7 downto 0)=>DO(7 downto 0),
                T=>nDOE,
                O(7 downto 0)=>D(7 downto 0));
   
   XLXI_1655 : OBUF
      port map (I=>XLXN_3696,
                O=>nSHD);
   
   XLXI_1656 : INV
      port map (I=>SHDWi,
                O=>XLXN_3696);
   
   XLXI_1658 : OBUF
      port map (I=>XLXN_3772,
                O=>DRAM);
   
   XLXI_1659 : OBUFT8_MXILINX_I1B3a
      port map (I(7 downto 0)=>DDL(7 downto 0),
                T=>nOEL,
                O(7 downto 0)=>DD(7 downto 0));
   
   XLXI_1748 : IBUF
      port map (I=>nDIOW_DUMMY,
                O=>XLXN_4488);
   
   XLXI_1753 : OBUF
      port map (I=>nDIORi,
                O=>nDIOR);
   
   XLXI_1767 : GND
      port map (G=>XLXN_4394);
   
   XLXI_1775 : IBUF8_MXILINX_I1B3a
      port map (I(7 downto 0)=>D(7 downto 0),
                O(7 downto 0)=>DI(7 downto 0));
   
   XLXI_1781_0 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(0),
                D1=>DL(0),
                S0=>DCE,
                O=>DO(0));
   
   XLXI_1781_1 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(1),
                D1=>DL(1),
                S0=>DCE,
                O=>DO(1));
   
   XLXI_1781_2 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(2),
                D1=>DL(2),
                S0=>DCE,
                O=>DO(2));
   
   XLXI_1781_3 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(3),
                D1=>DL(3),
                S0=>DCE,
                O=>DO(3));
   
   XLXI_1781_4 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(4),
                D1=>DL(4),
                S0=>DCE,
                O=>DO(4));
   
   XLXI_1781_5 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(5),
                D1=>DL(5),
                S0=>DCE,
                O=>DO(5));
   
   XLXI_1781_6 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(6),
                D1=>DL(6),
                S0=>DCE,
                O=>DO(6));
   
   XLXI_1781_7 : M2_1_MXILINX_I1B3a
      port map (D0=>DH(7),
                D1=>DL(7),
                S0=>DCE,
                O=>DO(7));
   
   XLXI_1788 : NOR2
      port map (I0=>XLXN_4507,
                I1=>XLXN_4506,
                O=>nPMCSi);
   
   XLXI_1790 : INV
      port map (I=>XLXN_4062,
                O=>nREG);
   
   XLXI_1791 : INV
      port map (I=>XLXN_4067,
                O=>nPAG);
   
   XLXI_1798 : NOR3B1
      port map (I0=>A7i,
                I1=>nWRi,
                I2=>nREG,
                O=>XLXN_887);
   
   XLXI_1799 : NOR2
      port map (I0=>nWRi,
                I1=>nPAG,
                O=>XLXN_895);
   
   XLXI_1801 : NOR2
      port map (I0=>nRDi,
                I1=>nPAG,
                O=>XLXN_2977);
   
   XLXI_1811 : OR3
      port map (I0=>nRDi,
                I1=>nIORQi,
                I2=>nDCS,
                O=>nDOE);
   
   XLXI_1818 : INV
      port map (I=>nIORQi,
                O=>XLXN_4045);
   
   XLXI_1844 : OBUF
      port map (I=>XLXN_4109,
                O=>PA1);
   
   XLXI_1845 : OBUF
      port map (I=>XLXN_4110,
                O=>PA0);
   
   XLXI_1854 : OR3
      port map (I0=>XLXN_4114,
                I1=>XLXN_4215,
                I2=>XLXN_4214,
                O=>XLXN_4109);
   
   XLXI_1855 : OR3
      port map (I0=>XLXN_4115,
                I1=>XLXN_4217,
                I2=>XLXN_4215,
                O=>XLXN_4110);
   
   XLXI_1861 : D2_4E_MXILINX_I1B3a
      port map (A0=>A6i,
                A1=>A7i,
                E=>XLXN_4260,
                D0=>XLXN_4217,
                D1=>XLXN_4214,
                D2=>XLXN_4215,
                D3=>XLXN_4281);
   
   XLXI_1866 : VCC
      port map (P=>XLXN_4260);
   
   XLXI_1867 : OBUF
      port map (I=>A7i,
                O=>DA2);
   
   XLXI_1868 : OBUF
      port map (I=>A6i,
                O=>DA1);
   
   XLXI_1870 : OBUF
      port map (I=>A5i,
                O=>DA0);
   
   XLXI_1871 : AND4B2
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_4281,
                O=>XLXN_4114);
   
   XLXI_1874 : AND4B1
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_4281,
                O=>XLXN_4115);
   
   XLXI_1883 : OR4
      port map (I0=>A5i,
                I1=>A6i,
                I2=>A7i,
                I3=>A8i,
                O=>nWRH);
   
   XLXI_1884 : OR2
      port map (I0=>nOEL,
                I1=>nWRH,
                O=>nOEH);
   
   XLXI_1888 : INV
      port map (I=>DIORi,
                O=>nDIORi);
   
   XLXI_1890 : BUF
      port map (I=>XLXN_4488,
                O=>nOEL);
   
   XLXI_1901 : OR2B1
      port map (I0=>nCSi,
                I1=>A2i,
                O=>nDCS);
   
   XLXI_1902 : AND5
      port map (I0=>SA3i,
                I1=>SA2i,
                I2=>SA1i,
                I3=>SA0i,
                I4=>ENABL,
                O=>nCSi);
   
   XLXI_1904 : NOR3
      port map (I0=>A7i,
                I1=>nWRi,
                I2=>nREG,
                O=>XLXN_4528);
   
   XLXI_1906 : OR2B1
      port map (I0=>DCE,
                I1=>nDCS,
                O=>nCS0i);
   
   XLXI_1907 : OR4B1
      port map (I0=>A8i,
                I1=>A7i,
                I2=>A5i,
                I3=>A6i,
                O=>DCE);
   
   XLXI_1911 : AND2B1
      port map (I0=>ENABL,
                I1=>nMREQi,
                O=>XLXN_4513);
   
   XLXI_1912 : FTC_MXILINX_I1B3a
      port map (C=>XLXN_4516,
                CLR=>XLXN_4523,
                T=>XLXN_4524,
                Q=>ENABL);
   
   XLXI_1913 : INV
      port map (I=>XLXN_4521,
                O=>XLXN_4516);
   
   XLXI_1918 : GND
      port map (G=>XLXN_4523);
   
   XLXI_1919 : VCC
      port map (P=>XLXN_4524);
   
   XLXI_1920 : IBUF
      port map (I=>nNMI,
                O=>XLXN_4527);
   
   XLXI_1921 : AND3B1
      port map (I0=>XLXN_4527,
                I1=>nMREQi,
                I2=>ENABL,
                O=>XLXN_4010);
   
   XLXI_1940 : OBUF
      port map (I=>XLXN_3197,
                O=>nCSRAM);
   
   XLXI_1941 : OBUFT
      port map (I=>XLXN_3069,
                T=>XLXN_3197,
                O=>nROMCS);
   
   XLXI_1942 : LD4_MXILINX_I1B3a
      port map (D0=>DI(0),
                D1=>DI(1),
                D2=>DI(2),
                D3=>DI(3),
                G=>XLXN_4528,
                Q0=>OPSYS0,
                Q1=>OPSYS1,
                Q2=>WEN,
                Q3=>XLXN_3772);
   
   XLXI_1948 : AND3
      port map (I0=>IORQi,
                I1=>A2i,
                I2=>nCSi,
                O=>CSIO);
   
   XLXI_1949 : NOR3B1
      port map (I0=>IORQi,
                I1=>nCS0i,
                I2=>nRDi,
                O=>DIORi);
   
   XLXI_1950 : NOR4B2
      port map (I0=>nWRH,
                I1=>IORQi,
                I2=>nWRi,
                I3=>nDCS,
                O=>WRL);
   
   XLXI_1951 : OR3B1
      port map (I0=>IORQi,
                I1=>nWRi,
                I2=>nCS0i,
                O=>nDIOWi);
   
end BEHAVIORAL;


