--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : IF1bis3b.vhf
-- /___/   /\     Timestamp : 01/29/2017 11:02:00
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500 -flat -suppress -vhdl F:/ZXS/DES/IF1b/3/b/ISE/IF1bis3b.vhf -w F:/ZXS/DES/IF1b/3/b/ISE/IF1BIS3B.sch
--Design Name: IF1BIS3B
--Device: xc9500
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFE_MXILINX_IF1BIS3B is
   port ( E : in    std_logic; 
          I : in    std_logic; 
          O : out   std_logic);
end OBUFE_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of OBUFE_MXILINX_IF1BIS3B is
   attribute BOX_TYPE   : string ;
   signal T : std_logic;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
begin
   I_36_10 : OBUFT
      port map (I=>I,
                T=>T,
                O=>O);
   
   I_36_12 : INV
      port map (I=>E,
                O=>T);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFE8_MXILINX_IF1BIS3B is
   port ( E : in    std_logic; 
          I : in    std_logic_vector (7 downto 0); 
          O : out   std_logic_vector (7 downto 0));
end OBUFE8_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of OBUFE8_MXILINX_IF1BIS3B is
   attribute HU_SET     : string ;
   component OBUFE_MXILINX_IF1BIS3B
      port ( E : in    std_logic; 
             I : in    std_logic; 
             O : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_30 : label is "I_36_30_6";
   attribute HU_SET of I_36_31 : label is "I_36_31_5";
   attribute HU_SET of I_36_32 : label is "I_36_32_4";
   attribute HU_SET of I_36_33 : label is "I_36_33_3";
   attribute HU_SET of I_36_34 : label is "I_36_34_7";
   attribute HU_SET of I_36_35 : label is "I_36_35_0";
   attribute HU_SET of I_36_36 : label is "I_36_36_1";
   attribute HU_SET of I_36_37 : label is "I_36_37_2";
begin
   I_36_30 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(0),
                O=>O(0));
   
   I_36_31 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(1),
                O=>O(1));
   
   I_36_32 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(2),
                O=>O(2));
   
   I_36_33 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(3),
                O=>O(3));
   
   I_36_34 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(7),
                O=>O(7));
   
   I_36_35 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(6),
                O=>O(6));
   
   I_36_36 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(5),
                O=>O(5));
   
   I_36_37 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>E,
                I=>I(4),
                O=>O(4));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IBUF8_MXILINX_IF1BIS3B is
   port ( I : in    std_logic_vector (7 downto 0); 
          O : out   std_logic_vector (7 downto 0));
end IBUF8_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of IBUF8_MXILINX_IF1BIS3B is
   attribute BOX_TYPE   : string ;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
begin
   I_36_30 : IBUF
      port map (I=>I(4),
                O=>O(4));
   
   I_36_31 : IBUF
      port map (I=>I(5),
                O=>O(5));
   
   I_36_32 : IBUF
      port map (I=>I(6),
                O=>O(6));
   
   I_36_33 : IBUF
      port map (I=>I(7),
                O=>O(7));
   
   I_36_34 : IBUF
      port map (I=>I(3),
                O=>O(3));
   
   I_36_35 : IBUF
      port map (I=>I(2),
                O=>O(2));
   
   I_36_36 : IBUF
      port map (I=>I(1),
                O=>O(1));
   
   I_36_37 : IBUF
      port map (I=>I(0),
                O=>O(0));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D2_4E_MXILINX_IF1BIS3B is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic);
end D2_4E_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of D2_4E_MXILINX_IF1BIS3B is
   attribute BOX_TYPE   : string ;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D3);
   
   I_36_31 : AND3B1
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D2);
   
   I_36_32 : AND3B1
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D1);
   
   I_36_33 : AND3B2
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity AND6_MXILINX_IF1BIS3B is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          O  : out   std_logic);
end AND6_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of AND6_MXILINX_IF1BIS3B is
   attribute BOX_TYPE   : string ;
   signal I35 : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
begin
   I_36_69 : AND3
      port map (I0=>I3,
                I1=>I4,
                I2=>I5,
                O=>I35);
   
   I_36_85 : AND4
      port map (I0=>I0,
                I1=>I1,
                I2=>I2,
                I3=>I35,
                O=>O);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FD_MXILINX_IF1BIS3B is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_IF1BIS3B;

architecture BEHAVIORAL of FD_MXILINX_IF1BIS3B is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity IF1BIS3B is
   port ( A0     : in    std_logic; 
          A1     : in    std_logic; 
          A2     : in    std_logic; 
          A3     : in    std_logic; 
          A4     : in    std_logic; 
          A5     : in    std_logic; 
          A6     : in    std_logic; 
          A7     : in    std_logic; 
          A8     : in    std_logic; 
          A9     : in    std_logic; 
          A10    : in    std_logic; 
          A11    : in    std_logic; 
          A12    : in    std_logic; 
          A13    : in    std_logic; 
          A14    : in    std_logic; 
          A15    : in    std_logic; 
          nACT   : in    std_logic; 
          nIORQ  : in    std_logic; 
          nMREQ  : in    std_logic; 
          nON    : in    std_logic; 
          nRD    : in    std_logic; 
          nWR    : in    std_logic; 
          DA0    : out   std_logic; 
          DA1    : out   std_logic; 
          DA2    : out   std_logic; 
          EA12   : out   std_logic; 
          EA13   : out   std_logic; 
          EA14   : out   std_logic; 
          EA15   : out   std_logic; 
          EA16   : out   std_logic; 
          EA17   : out   std_logic; 
          EA18   : out   std_logic; 
          nAUX   : out   std_logic; 
          nBAS   : out   std_logic; 
          nCSRAM : out   std_logic; 
          nCS0   : out   std_logic; 
          nDIOR  : out   std_logic; 
          nDIOW  : out   std_logic; 
          nPCS   : out   std_logic; 
          nROMCS : out   std_logic; 
          nSHD   : out   std_logic; 
          nWE    : out   std_logic; 
          PA0    : out   std_logic; 
          PA1    : out   std_logic; 
          D      : inout std_logic_vector (7 downto 0); 
          DD     : inout std_logic_vector (15 downto 0));
   attribute PWR_MODE : string ;
   attribute PWR_MODE of nCSRAM : signal is "STD";
   attribute PWR_MODE of nROMCS : signal is "STD";
   attribute PWR_MODE of nWE : signal is "STD";
end IF1BIS3B;

architecture BEHAVIORAL of IF1BIS3B is
   attribute KEEP       : string ;
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   attribute SLEW       : string ;
   signal ACTi       : std_logic;
   signal AUXi       : std_logic;
   signal A0i        : std_logic;
   signal A1i        : std_logic;
   signal A5i        : std_logic;
   signal A6i        : std_logic;
   signal A7i        : std_logic;
   signal A8i        : std_logic;
   signal A9i        : std_logic;
   signal A10i       : std_logic;
   signal A11i       : std_logic;
   signal A12i       : std_logic;
   signal A13i       : std_logic;
   signal A14i       : std_logic;
   signal A15i       : std_logic;
   signal DISi       : std_logic;
   signal IORQi      : std_logic;
   signal nACTi      : std_logic;
   signal nBLEDi     : std_logic;
   signal nIORQi     : std_logic;
   signal nMREQi     : std_logic;
   signal nNMIi      : std_logic;
   signal nONi       : std_logic;
   signal nPMCSi     : std_logic;
   signal nRDi       : std_logic;
   signal nSHDi      : std_logic;
   signal nSLEDi     : std_logic;
   signal nWEi       : std_logic;
   signal nWRi       : std_logic;
   signal PAG        : std_logic;
   signal REG        : std_logic;
   signal RSTi       : std_logic;
   signal SHDi       : std_logic;
   signal SHD_R      : std_logic;
   signal SHD_S      : std_logic;
   signal WRE        : std_logic;
   signal XLXN_119   : std_logic;
   signal XLXN_121   : std_logic;
   signal XLXN_242   : std_logic;
   signal XLXN_884   : std_logic;
   signal XLXN_1198  : std_logic;
   signal XLXN_1828  : std_logic;
   signal XLXN_1860  : std_logic;
   signal XLXN_1873  : std_logic;
   signal XLXN_1877  : std_logic;
   signal XLXN_1890  : std_logic;
   signal XLXN_2047  : std_logic;
   signal XLXN_2049  : std_logic;
   signal XLXN_2057  : std_logic;
   signal XLXN_2058  : std_logic;
   signal XLXN_2059  : std_logic;
   signal XLXN_2112  : std_logic;
   signal XLXN_2314  : std_logic;
   signal XLXN_2346  : std_logic;
   signal XLXN_2358  : std_logic;
   signal XLXN_2385  : std_logic;
   signal XLXN_2428  : std_logic;
   signal XLXN_2509  : std_logic;
   signal XLXN_2510  : std_logic;
   signal XLXN_2520  : std_logic;
   signal XLXN_2521  : std_logic;
   signal XLXN_2525  : std_logic;
   signal XLXN_3576  : std_logic;
   signal XLXN_3610  : std_logic;
   signal XLXN_3840  : std_logic;
   signal XLXN_3863  : std_logic;
   signal XLXN_3944  : std_logic;
   signal XLXN_3950  : std_logic;
   signal XLXN_3951  : std_logic;
   signal XLXN_3976  : std_logic;
   signal XLXN_4014  : std_logic;
   signal XLXN_4022  : std_logic;
   signal XLXN_4023  : std_logic;
   signal XLXN_4041  : std_logic;
   signal XLXN_4066  : std_logic;
   signal XLXN_4067  : std_logic;
   signal XLXN_4093  : std_logic;
   signal XLXN_4095  : std_logic;
   signal XLXN_4124  : std_logic;
   signal XLXN_4162  : std_logic;
   signal XLXN_4169  : std_logic;
   signal XLXN_4171  : std_logic;
   signal XLXN_4172  : std_logic;
   signal XLXN_4189  : std_logic;
   signal XLXN_4193  : std_logic;
   signal XLXN_4194  : std_logic;
   signal XLXN_4728  : std_logic;
   signal XLXN_4738  : std_logic_vector (7 downto 0);
   signal XLXN_4739  : std_logic_vector (7 downto 0);
   signal XLXN_4743  : std_logic_vector (7 downto 0);
   signal XLXN_4744  : std_logic;
   signal XLXN_4772  : std_logic;
   signal XLXN_4859  : std_logic;
   signal XLXN_4862  : std_logic;
   signal XLXN_4958  : std_logic;
   signal XLXN_4960  : std_logic;
   signal nBAS_DUMMY : std_logic;
   signal nSHD_DUMMY : std_logic;
   signal EA14_DUMMY : std_logic;
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component FD_MXILINX_IF1BIS3B
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component D2_4E_MXILINX_IF1BIS3B
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component OR2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component AND6_MXILINX_IF1BIS3B
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OBUFE_MXILINX_IF1BIS3B
      port ( E : in    std_logic; 
             I : in    std_logic; 
             O : out   std_logic);
   end component;
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component AND5B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B4 : component is "BLACK_BOX";
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component IBUF8_MXILINX_IF1BIS3B
      port ( I : in    std_logic_vector (7 downto 0); 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   component OBUFE8_MXILINX_IF1BIS3B
      port ( E : in    std_logic; 
             I : in    std_logic_vector (7 downto 0); 
             O : out   std_logic_vector (7 downto 0));
   end component;
   
   attribute KEEP of SHD_R : signal is "TRUE";
   attribute HU_SET of AUX : label is "AUX_9";
   attribute HU_SET of WREN : label is "WREN_10";
   attribute HU_SET of XLXI_1 : label is "XLXI_1_8";
   attribute KEEP of XLXI_99 : label is "TRUE";
   attribute HU_SET of XLXI_1025 : label is "XLXI_1025_13";
   attribute HU_SET of XLXI_1303 : label is "XLXI_1303_11";
   attribute HU_SET of XLXI_1333 : label is "XLXI_1333_12";
   attribute HU_SET of XLXI_1681 : label is "XLXI_1681_14";
   attribute HU_SET of XLXI_1682 : label is "XLXI_1682_15";
   attribute HU_SET of XLXI_1695 : label is "XLXI_1695_16";
   attribute HU_SET of XLXI_1698 : label is "XLXI_1698_17";
   attribute HU_SET of XLXI_1699 : label is "XLXI_1699_18";
begin
   EA14 <= EA14_DUMMY;
   nBAS <= nBAS_DUMMY;
   nSHD <= nSHD_DUMMY;
   ACTIV : FDCP
      port map (C=>XLXN_3610,
                CLR=>DISi,
                D=>A7i,
                PRE=>XLXN_884,
                Q=>ACTi);
   
   AUX : FD_MXILINX_IF1BIS3B
      port map (C=>XLXN_2112,
                D=>A7i,
                Q=>AUXi);
   
   IORQ : FDCP
      port map (C=>XLXN_2385,
                CLR=>XLXN_1198,
                D=>XLXN_2385,
                PRE=>XLXN_1828,
                Q=>IORQi);
   
   SHADOW : FDCP
      port map (C=>XLXN_2346,
                CLR=>XLXN_2521,
                D=>A7i,
                PRE=>SHD_S,
                Q=>SHDi);
   
   SHD_RST : FDCP
      port map (C=>XLXN_2510,
                CLR=>XLXN_2525,
                D=>XLXN_2510,
                PRE=>XLXN_2509,
                Q=>SHD_S);
   
   WREN : FD_MXILINX_IF1BIS3B
      port map (C=>XLXN_1873,
                D=>A7i,
                Q=>WRE);
   
   XLXI_1 : D2_4E_MXILINX_IF1BIS3B
      port map (A0=>A6i,
                A1=>A5i,
                E=>XLXN_3863,
                D0=>XLXN_3944,
                D1=>XLXN_242,
                D2=>REG,
                D3=>PAG);
   
   XLXI_64 : INV
      port map (I=>ACTi,
                O=>nACTi);
   
   XLXI_99 : NOR2
      port map (I0=>XLXN_119,
                I1=>WRE,
                O=>nWEi);
   
   XLXI_100 : AND3
      port map (I0=>XLXN_121,
                I1=>A13i,
                I2=>SHDi,
                O=>XLXN_119);
   
   XLXI_101 : OR2
      port map (I0=>A12i,
                I1=>XLXN_2428,
                O=>XLXN_121);
   
   XLXI_102 : AND3
      port map (I0=>A11i,
                I1=>A10i,
                I2=>A9i,
                O=>XLXN_2428);
   
   XLXI_180 : OBUF
      port map (I=>nPMCSi,
                O=>nPCS);
   
   XLXI_347 : IBUF
      port map (I=>A13,
                O=>A13i);
   
   XLXI_348 : IBUF
      port map (I=>A12,
                O=>A12i);
   
   XLXI_349 : IBUF
      port map (I=>A5,
                O=>A5i);
   
   XLXI_350 : IBUF
      port map (I=>A6,
                O=>A6i);
   
   XLXI_351 : IBUF
      port map (I=>A0,
                O=>A0i);
   
   XLXI_356 : IBUF
      port map (I=>A1,
                O=>A1i);
   
   XLXI_358 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_359 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_361 : IBUF
      port map (I=>A10,
                O=>A10i);
   
   XLXI_364 : IBUF
      port map (I=>nMREQ,
                O=>nMREQi);
   
   XLXI_365 : IBUF
      port map (I=>A2,
                O=>XLXN_1860);
   
   XLXI_366 : IBUF
      port map (I=>nIORQ,
                O=>nIORQi);
   
   XLXI_367 : IBUF
      port map (I=>A9,
                O=>A9i);
   
   XLXI_368 : IBUF
      port map (I=>A11,
                O=>A11i);
   
   XLXI_369 : IBUF
      port map (I=>A15,
                O=>A15i);
   
   XLXI_371 : IBUF
      port map (I=>A14,
                O=>A14i);
   
   XLXI_444 : IBUF
      port map (I=>A7,
                O=>A7i);
   
   XLXI_467 : IBUF
      port map (I=>nACT,
                O=>nNMIi);
   
   XLXI_486 : AND2B1
      port map (I0=>nWRi,
                I1=>REG,
                O=>XLXN_2346);
   
   XLXI_487 : AND2B1
      port map (I0=>nWRi,
                I1=>PAG,
                O=>XLXN_3610);
   
   XLXI_728 : AND2
      port map (I0=>nWRi,
                I1=>nRDi,
                O=>XLXN_1198);
   
   XLXI_897 : NOR2
      port map (I0=>XLXN_242,
                I1=>XLXN_3944,
                O=>XLXN_4014);
   
   XLXI_996 : OR2
      port map (I0=>XLXN_4014,
                I1=>nRDi,
                O=>XLXN_4022);
   
   XLXI_999 : OBUF
      port map (I=>XLXN_2047,
                O=>PA0);
   
   XLXI_1024 : OBUF
      port map (I=>XLXN_4095,
                O=>PA1);
   
   XLXI_1025 : D2_4E_MXILINX_IF1BIS3B
      port map (A0=>A6i,
                A1=>A7i,
                E=>A1i,
                D0=>XLXN_4067,
                D1=>XLXN_1877,
                D2=>XLXN_4066,
                D3=>XLXN_1890);
   
   XLXI_1069 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_1072 : AND4B1
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_4162);
   
   XLXI_1073 : AND4B2
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_4124);
   
   XLXI_1075 : OBUFT
      port map (I=>XLXN_2049,
                T=>nBLEDi,
                O=>nBAS_DUMMY);
   
   XLXI_1076 : GND
      port map (G=>XLXN_2049);
   
   XLXI_1079 : IBUF
      port map (I=>A3,
                O=>XLXN_2058);
   
   XLXI_1080 : IBUF
      port map (I=>A4,
                O=>XLXN_2059);
   
   XLXI_1083 : INV
      port map (I=>nIORQi,
                O=>XLXN_2057);
   
   XLXI_1087 : OBUF
      port map (I=>SHDi,
                O=>EA14_DUMMY);
   
   XLXI_1104 : IBUF
      port map (I=>nON,
                O=>nONi);
   
   XLXI_1120 : AND3B1
      port map (I0=>nWRi,
                I1=>REG,
                I2=>nACTi,
                O=>XLXN_1873);
   
   XLXI_1121 : GND
      port map (G=>XLXN_4189);
   
   XLXI_1123 : GND
      port map (G=>XLXN_2385);
   
   XLXI_1130 : OR2
      port map (I0=>nACTi,
                I1=>SHDi,
                O=>nBLEDi);
   
   XLXI_1131 : OR2B1
      port map (I0=>XLXN_2520,
                I1=>nACTi,
                O=>nSLEDi);
   
   XLXI_1147 : AND3B2
      port map (I0=>DISi,
                I1=>nNMIi,
                I2=>nMREQi,
                O=>XLXN_884);
   
   XLXI_1157 : AND2
      port map (I0=>nONi,
                I1=>nMREQi,
                O=>DISi);
   
   XLXI_1158 : OBUFT
      port map (I=>XLXN_2314,
                T=>XLXN_4194,
                O=>nROMCS);
   
   XLXI_1161 : IBUF
      port map (I=>nBAS_DUMMY,
                O=>XLXN_3576);
   
   XLXI_1162 : IBUF
      port map (I=>nSHD_DUMMY,
                O=>nSHDi);
   
   XLXI_1163 : OR2
      port map (I0=>nACTi,
                I1=>RSTi,
                O=>SHD_R);
   
   XLXI_1165 : IBUF
      port map (I=>EA14_DUMMY,
                O=>XLXN_2520);
   
   XLXI_1176 : OBUFT
      port map (I=>XLXN_2358,
                T=>nSLEDi,
                O=>nSHD_DUMMY);
   
   XLXI_1177 : GND
      port map (G=>XLXN_2358);
   
   XLXI_1179 : NOR2
      port map (I0=>XLXN_3576,
                I1=>nSHDi,
                O=>RSTi);
   
   XLXI_1184 : GND
      port map (G=>XLXN_2510);
   
   XLXI_1190 : AND3B2
      port map (I0=>XLXN_3576,
                I1=>nNMIi,
                I2=>nACTi,
                O=>XLXN_2509);
   
   XLXI_1191 : AND2B1
      port map (I0=>SHD_S,
                I1=>SHD_R,
                O=>XLXN_2521);
   
   XLXI_1196 : AND2B1
      port map (I0=>SHD_R,
                I1=>nNMIi,
                O=>XLXN_2525);
   
   XLXI_1207 : OR4
      port map (I0=>nMREQi,
                I1=>A15i,
                I2=>A14i,
                I3=>nACTi,
                O=>XLXN_4194);
   
   XLXI_1211 : OR3
      port map (I0=>nWEi,
                I1=>XLXN_4194,
                I2=>nWRi,
                O=>XLXN_4193);
   
   XLXI_1214 : OR4
      port map (I0=>XLXN_4093,
                I1=>XLXN_4162,
                I2=>XLXN_4067,
                I3=>XLXN_4066,
                O=>XLXN_2047);
   
   XLXI_1303 : AND6_MXILINX_IF1BIS3B
      port map (I0=>XLXN_3840,
                I1=>XLXN_2057,
                I2=>XLXN_2059,
                I3=>XLXN_2058,
                I4=>XLXN_1860,
                I5=>A0i,
                O=>XLXN_1828);
   
   XLXI_1309 : INV
      port map (I=>nONi,
                O=>XLXN_3840);
   
   XLXI_1311 : AND2
      port map (I0=>IORQi,
                I1=>A1i,
                O=>XLXN_3863);
   
   XLXI_1323 : AND2
      port map (I0=>XLXN_4023,
                I1=>XLXN_4022,
                O=>nPMCSi);
   
   XLXI_1329 : OR2
      port map (I0=>nWRi,
                I1=>XLXN_3950,
                O=>XLXN_4023);
   
   XLXI_1333 : OBUFE_MXILINX_IF1BIS3B
      port map (E=>AUXi,
                I=>XLXN_4189,
                O=>nAUX);
   
   XLXI_1340 : AND2
      port map (I0=>A7i,
                I1=>XLXN_3944,
                O=>XLXN_3951);
   
   XLXI_1344 : INV
      port map (I=>A1i,
                O=>XLXN_4041);
   
   XLXI_1349 : AND2B1
      port map (I0=>nRDi,
                I1=>REG,
                O=>XLXN_2112);
   
   XLXI_1362 : OR4
      port map (I0=>XLXN_4124,
                I1=>XLXN_4172,
                I2=>XLXN_4066,
                I3=>XLXN_1877,
                O=>XLXN_4095);
   
   XLXI_1370 : AND5
      port map (I0=>IORQi,
                I1=>XLXN_4041,
                I2=>A6i,
                I3=>A7i,
                I4=>A5i,
                O=>XLXN_4171);
   
   XLXI_1372 : AND5B4
      port map (I0=>A1i,
                I1=>A15i,
                I2=>A14i,
                I3=>A13i,
                I4=>A12i,
                O=>XLXN_4172);
   
   XLXI_1373 : NOR3
      port map (I0=>XLXN_3951,
                I1=>XLXN_3976,
                I2=>XLXN_4169,
                O=>XLXN_3950);
   
   XLXI_1376 : AND2
      port map (I0=>A14i,
                I1=>XLXN_4171,
                O=>XLXN_3976);
   
   XLXI_1378 : AND2
      port map (I0=>XLXN_4171,
                I1=>XLXN_4172,
                O=>XLXN_4169);
   
   XLXI_1379 : AND2B1
      port map (I0=>A1i,
                I1=>A15i,
                O=>XLXN_4093);
   
   XLXI_1380 : VCC
      port map (P=>XLXN_2314);
   
   XLXI_1381 : OBUF
      port map (I=>A12i,
                O=>EA12);
   
   XLXI_1382 : OBUF
      port map (I=>A13i,
                O=>EA13);
   
   XLXI_1391 : OBUF
      port map (I=>XLXN_4728,
                O=>EA15);
   
   XLXI_1392 : OBUF
      port map (I=>XLXN_4728,
                O=>EA16);
   
   XLXI_1393 : OBUF
      port map (I=>XLXN_4728,
                O=>EA17);
   
   XLXI_1394 : OBUF
      port map (I=>XLXN_4728,
                O=>EA18);
   
   XLXI_1395 : OBUF
      port map (I=>XLXN_4193,
                O=>nWE);
   
   XLXI_1396 : OBUF
      port map (I=>XLXN_4194,
                O=>nCSRAM);
   
   XLXI_1631 : OBUF
      port map (I=>XLXN_4728,
                O=>nCS0);
   
   XLXI_1632 : OBUF
      port map (I=>XLXN_4728,
                O=>nDIOR);
   
   XLXI_1633 : OBUF
      port map (I=>XLXN_4728,
                O=>nDIOW);
   
   XLXI_1634 : OBUF
      port map (I=>XLXN_4960,
                O=>DA0);
   
   XLXI_1635 : OBUF
      port map (I=>XLXN_4772,
                O=>DA1);
   
   XLXI_1648 : OBUF
      port map (I=>XLXN_4728,
                O=>DA2);
   
   XLXI_1658 : VCC
      port map (P=>XLXN_4728);
   
   XLXI_1681 : IBUF8_MXILINX_IF1BIS3B
      port map (I(7 downto 0)=>D(7 downto 0),
                O(7 downto 0)=>XLXN_4739(7 downto 0));
   
   XLXI_1682 : IBUF8_MXILINX_IF1BIS3B
      port map (I(7 downto 0)=>DD(7 downto 0),
                O(7 downto 0)=>XLXN_4738(7 downto 0));
   
   XLXI_1686_0 : GND
      port map (G=>XLXN_4743(0));
   
   XLXI_1686_1 : GND
      port map (G=>XLXN_4743(1));
   
   XLXI_1686_2 : GND
      port map (G=>XLXN_4743(2));
   
   XLXI_1686_3 : GND
      port map (G=>XLXN_4743(3));
   
   XLXI_1686_4 : GND
      port map (G=>XLXN_4743(4));
   
   XLXI_1686_5 : GND
      port map (G=>XLXN_4743(5));
   
   XLXI_1686_6 : GND
      port map (G=>XLXN_4743(6));
   
   XLXI_1686_7 : GND
      port map (G=>XLXN_4743(7));
   
   XLXI_1687 : GND
      port map (G=>XLXN_4744);
   
   XLXI_1695 : OBUFE8_MXILINX_IF1BIS3B
      port map (E=>XLXN_4960,
                I(7 downto 0)=>XLXN_4739(7 downto 0),
                O(7 downto 0)=>DD(7 downto 0));
   
   XLXI_1698 : OBUFE8_MXILINX_IF1BIS3B
      port map (E=>XLXN_4859,
                I(7 downto 0)=>XLXN_4738(7 downto 0),
                O(7 downto 0)=>D(7 downto 0));
   
   XLXI_1699 : OBUFE8_MXILINX_IF1BIS3B
      port map (E=>XLXN_4744,
                I(7 downto 0)=>XLXN_4743(7 downto 0),
                O(7 downto 0)=>DD(15 downto 8));
   
   XLXI_1715 : OR2
      port map (I0=>XLXN_4862,
                I1=>XLXN_4859,
                O=>XLXN_4772);
   
   XLXI_1723 : AND2B1
      port map (I0=>nWRi,
                I1=>XLXN_4958,
                O=>XLXN_4960);
   
   XLXI_1724 : AND3B2
      port map (I0=>nIORQi,
                I1=>A1i,
                I2=>A15i,
                O=>XLXN_4958);
   
   XLXI_1725 : AND3B1
      port map (I0=>nRDi,
                I1=>A14i,
                I2=>XLXN_4958,
                O=>XLXN_4859);
   
   XLXI_1785 : AND2
      port map (I0=>XLXN_4960,
                I1=>A14i,
                O=>XLXN_4862);
   
end BEHAVIORAL;


