--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : I1B4a.vhf
-- /___/   /\     Timestamp : 01/09/2013 19:52:58
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl F:/ZXS/DES/IF1b/4/a/ISE/I1B4a.vhf -w F:/ZXS/DES/IF1b/4/a/ISE/I1B4a.sch
--Design Name: I1B4a
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D2_4E_MXILINX_I1B4a is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic);
end D2_4E_MXILINX_I1B4a;

architecture BEHAVIORAL of D2_4E_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D3);
   
   I_36_31 : AND3B1
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D2);
   
   I_36_32 : AND3B1
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D1);
   
   I_36_33 : AND3B2
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1B1_MXILINX_I1B4a is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1B1_MXILINX_I1B4a;

architecture BEHAVIORAL of M2_1B1_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B2
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FD_MXILINX_I1B4a is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_I1B4a;

architecture BEHAVIORAL of FD_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1_MXILINX_I1B4a is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_I1B4a;

architecture BEHAVIORAL of M2_1_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity SR8CE_MXILINX_I1B4a is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          SLI : in    std_logic; 
          Q   : out   std_logic_vector (7 downto 0));
end SR8CE_MXILINX_I1B4a;

architecture BEHAVIORAL of SR8CE_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   signal Q_DUMMY : std_logic_vector (7 downto 0);
   component FDCE
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
begin
   Q(7 downto 0) <= Q_DUMMY(7 downto 0);
   Q0 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>SLI,
                Q=>Q_DUMMY(0));
   
   Q1 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(0),
                Q=>Q_DUMMY(1));
   
   Q2 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(1),
                Q=>Q_DUMMY(2));
   
   Q3 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(2),
                Q=>Q_DUMMY(3));
   
   Q4 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(3),
                Q=>Q_DUMMY(4));
   
   Q5 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(4),
                Q=>Q_DUMMY(5));
   
   Q6 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(5),
                Q=>Q_DUMMY(6));
   
   Q7 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q_DUMMY(6),
                Q=>Q_DUMMY(7));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDC_MXILINX_I1B4a is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_I1B4a;

architecture BEHAVIORAL of FDC_MXILINX_I1B4a is
   attribute BOX_TYPE   : string ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>D,
                PRE=>XLXN_5,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity I1B4a is
   port ( A0     : in    std_logic; 
          A1     : in    std_logic; 
          A2A3A4 : in    std_logic; 
          A5     : in    std_logic; 
          A6     : in    std_logic; 
          A7     : in    std_logic; 
          A8     : in    std_logic; 
          A9     : in    std_logic; 
          A10    : in    std_logic; 
          A11    : in    std_logic; 
          A12    : in    std_logic; 
          A13    : in    std_logic; 
          A14    : in    std_logic; 
          A15    : in    std_logic; 
          nENBL  : in    std_logic; 
          nIORQ  : in    std_logic; 
          nMREQ  : in    std_logic; 
          nNMI   : in    std_logic; 
          nRD    : in    std_logic; 
          nWR    : in    std_logic; 
          EA12   : out   std_logic; 
          EA13   : out   std_logic; 
          EA14   : out   std_logic; 
          EA15   : out   std_logic; 
          EA16   : out   std_logic; 
          EA17   : out   std_logic; 
          EA18   : out   std_logic; 
          nCSRAM : out   std_logic; 
          nPMCS  : out   std_logic; 
          nPMRD  : out   std_logic; 
          nPMWR  : out   std_logic; 
          nWE    : out   std_logic; 
          PA0    : out   std_logic; 
          PA1    : out   std_logic);
   attribute PWR_MODE : string ;
   attribute PWR_MODE of nCSRAM : signal is "STD";
   attribute PWR_MODE of nWE : signal is "STD";
end I1B4a;

architecture BEHAVIORAL of I1B4a is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   attribute SLEW       : string ;
   attribute KEEP       : string ;
   signal ACTi      : std_logic;
   signal A0i       : std_logic;
   signal A1i       : std_logic;
   signal A5i       : std_logic;
   signal A6i       : std_logic;
   signal A7i       : std_logic;
   signal A8i       : std_logic;
   signal A9i       : std_logic;
   signal A10i      : std_logic;
   signal A11i      : std_logic;
   signal A12i      : std_logic;
   signal A13i      : std_logic;
   signal A14i      : std_logic;
   signal A15i      : std_logic;
   signal IORQi     : std_logic;
   signal nACTi     : std_logic;
   signal nENBLi    : std_logic;
   signal nIORQi    : std_logic;
   signal nMREQi    : std_logic;
   signal nPMCSi    : std_logic;
   signal nRDi      : std_logic;
   signal nREG      : std_logic;
   signal nWRi      : std_logic;
   signal OPS0      : std_logic;
   signal OPS1      : std_logic;
   signal PAG       : std_logic;
   signal QA        : std_logic_vector (7 downto 0);
   signal RCLK      : std_logic;
   signal REG       : std_logic;
   signal SELEA     : std_logic;
   signal SHW       : std_logic;
   signal WRE       : std_logic;
   signal XLXN_4    : std_logic;
   signal XLXN_5    : std_logic;
   signal XLXN_6    : std_logic;
   signal XLXN_7    : std_logic;
   signal XLXN_8    : std_logic;
   signal XLXN_41   : std_logic;
   signal XLXN_82   : std_logic;
   signal XLXN_87   : std_logic;
   signal XLXN_88   : std_logic;
   signal XLXN_108  : std_logic;
   signal XLXN_109  : std_logic;
   signal XLXN_118  : std_logic;
   signal XLXN_119  : std_logic;
   signal XLXN_121  : std_logic;
   signal XLXN_126  : std_logic;
   signal XLXN_130  : std_logic;
   signal XLXN_241  : std_logic;
   signal XLXN_242  : std_logic;
   signal XLXN_1034 : std_logic;
   signal XLXN_1198 : std_logic;
   signal XLXN_1323 : std_logic;
   signal XLXN_1324 : std_logic;
   signal XLXN_1828 : std_logic;
   signal XLXN_1860 : std_logic;
   signal XLXN_1873 : std_logic;
   signal XLXN_1874 : std_logic;
   signal XLXN_1875 : std_logic;
   signal XLXN_1877 : std_logic;
   signal XLXN_1889 : std_logic;
   signal XLXN_1890 : std_logic;
   signal XLXN_1967 : std_logic;
   signal XLXN_1992 : std_logic;
   signal XLXN_2023 : std_logic;
   signal XLXN_2047 : std_logic;
   signal XLXN_2048 : std_logic;
   signal XLXN_2059 : std_logic;
   signal XLXN_2084 : std_logic;
   signal XLXN_2089 : std_logic;
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component SR8CE_MXILINX_I1B4a
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             SLI : in    std_logic; 
             Q   : out   std_logic_vector (7 downto 0));
   end component;
   
   component FD_MXILINX_I1B4a
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component FDC_MXILINX_I1B4a
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component D2_4E_MXILINX_I1B4a
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic);
   end component;
   
   component M2_1_MXILINX_I1B4a
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component M2_1B1_MXILINX_I1B4a
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OR2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2B1 : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OR3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3B1 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component AND5B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B2 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
   attribute HU_SET of EADD : label is "EADD_1";
   attribute HU_SET of OPSYS0 : label is "OPSYS0_6";
   attribute HU_SET of OPSYS1 : label is "OPSYS1_9";
   attribute HU_SET of SHADOW : label is "SHADOW_0";
   attribute HU_SET of WREN : label is "WREN_8";
   attribute HU_SET of XLXI_1 : label is "XLXI_1_7";
   attribute HU_SET of XLXI_4 : label is "XLXI_4_5";
   attribute HU_SET of XLXI_5 : label is "XLXI_5_2";
   attribute HU_SET of XLXI_6 : label is "XLXI_6_3";
   attribute HU_SET of XLXI_7 : label is "XLXI_7_4";
   attribute HU_SET of XLXI_8 : label is "XLXI_8_10";
   attribute KEEP of XLXI_643 : label is "TRUE";
   attribute KEEP of XLXI_1000 : label is "TRUE";
   attribute HU_SET of XLXI_1025 : label is "XLXI_1025_11";
begin
   ACTIV : FDCP
      port map (C=>XLXN_87,
                CLR=>XLXN_2089,
                D=>A7i,
                PRE=>XLXN_2059,
                Q=>ACTi);
   
   EADD : SR8CE_MXILINX_I1B4a
      port map (C=>RCLK,
                CE=>XLXN_41,
                CLR=>nACTi,
                SLI=>A7i,
                Q(7 downto 0)=>QA(7 downto 0));
   
   IORQ : FDCP
      port map (C=>XLXN_1992,
                CLR=>XLXN_1198,
                D=>XLXN_1992,
                PRE=>XLXN_1828,
                Q=>IORQi);
   
   OPSYS0 : FD_MXILINX_I1B4a
      port map (C=>XLXN_82,
                D=>OPS1,
                Q=>OPS0);
   
   OPSYS1 : FD_MXILINX_I1B4a
      port map (C=>XLXN_82,
                D=>WRE,
                Q=>OPS1);
   
   SHADOW : FDC_MXILINX_I1B4a
      port map (C=>XLXN_88,
                CLR=>nACTi,
                D=>A7i,
                Q=>SHW);
   
   WREN : FD_MXILINX_I1B4a
      port map (C=>XLXN_82,
                D=>A7i,
                Q=>WRE);
   
   XLXI_1 : D2_4E_MXILINX_I1B4a
      port map (A0=>A6i,
                A1=>A5i,
                E=>IORQi,
                D0=>XLXN_241,
                D1=>XLXN_242,
                D2=>REG,
                D3=>PAG);
   
   XLXI_4 : M2_1_MXILINX_I1B4a
      port map (D0=>A12i,
                D1=>QA(7),
                S0=>SELEA,
                O=>XLXN_8);
   
   XLXI_5 : M2_1_MXILINX_I1B4a
      port map (D0=>A13i,
                D1=>QA(6),
                S0=>SELEA,
                O=>XLXN_7);
   
   XLXI_6 : M2_1_MXILINX_I1B4a
      port map (D0=>SHW,
                D1=>QA(5),
                S0=>SELEA,
                O=>XLXN_6);
   
   XLXI_7 : M2_1B1_MXILINX_I1B4a
      port map (D0=>OPS0,
                D1=>QA(4),
                S0=>SELEA,
                O=>XLXN_4);
   
   XLXI_8 : M2_1B1_MXILINX_I1B4a
      port map (D0=>OPS1,
                D1=>QA(3),
                S0=>SELEA,
                O=>XLXN_5);
   
   XLXI_9 : OR2B1
      port map (I0=>SELEA,
                I1=>QA(2),
                O=>XLXN_108);
   
   XLXI_10 : OR2B1
      port map (I0=>SELEA,
                I1=>QA(1),
                O=>XLXN_109);
   
   XLXI_19 : OBUF
      port map (I=>XLXN_8,
                O=>EA12);
   
   XLXI_20 : OBUF
      port map (I=>XLXN_7,
                O=>EA13);
   
   XLXI_21 : OBUF
      port map (I=>XLXN_6,
                O=>EA14);
   
   XLXI_22 : OBUF
      port map (I=>XLXN_4,
                O=>EA15);
   
   XLXI_23 : OBUF
      port map (I=>XLXN_5,
                O=>EA16);
   
   XLXI_24 : OBUF
      port map (I=>XLXN_109,
                O=>EA18);
   
   XLXI_25 : OBUF
      port map (I=>XLXN_126,
                O=>nWE);
   
   XLXI_30 : OR2
      port map (I0=>nWRi,
                I1=>XLXN_118,
                O=>XLXN_126);
   
   XLXI_31 : OBUF
      port map (I=>XLXN_108,
                O=>EA17);
   
   XLXI_63 : VCC
      port map (P=>XLXN_41);
   
   XLXI_64 : INV
      port map (I=>ACTi,
                O=>nACTi);
   
   XLXI_99 : NOR2
      port map (I0=>XLXN_119,
                I1=>WRE,
                O=>XLXN_118);
   
   XLXI_100 : AND3
      port map (I0=>XLXN_121,
                I1=>A13i,
                I2=>SHW,
                O=>XLXN_119);
   
   XLXI_101 : OR2
      port map (I0=>XLXN_130,
                I1=>A12i,
                O=>XLXN_121);
   
   XLXI_102 : AND3
      port map (I0=>A11i,
                I1=>A10i,
                I2=>A9i,
                O=>XLXN_130);
   
   XLXI_180 : OBUF
      port map (I=>nPMCSi,
                O=>nPMCS);
   
   XLXI_184 : OR4
      port map (I0=>nMREQi,
                I1=>A15i,
                I2=>A14i,
                I3=>nACTi,
                O=>XLXN_1034);
   
   XLXI_347 : IBUF
      port map (I=>A13,
                O=>A13i);
   
   XLXI_348 : IBUF
      port map (I=>A12,
                O=>A12i);
   
   XLXI_349 : IBUF
      port map (I=>A5,
                O=>A5i);
   
   XLXI_350 : IBUF
      port map (I=>A6,
                O=>A6i);
   
   XLXI_351 : IBUF
      port map (I=>A0,
                O=>A0i);
   
   XLXI_356 : IBUF
      port map (I=>A1,
                O=>A1i);
   
   XLXI_358 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_359 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_361 : IBUF
      port map (I=>A10,
                O=>A10i);
   
   XLXI_364 : IBUF
      port map (I=>nMREQ,
                O=>nMREQi);
   
   XLXI_365 : IBUF
      port map (I=>A2A3A4,
                O=>XLXN_1860);
   
   XLXI_366 : IBUF
      port map (I=>nIORQ,
                O=>nIORQi);
   
   XLXI_367 : IBUF
      port map (I=>A9,
                O=>A9i);
   
   XLXI_368 : IBUF
      port map (I=>A11,
                O=>A11i);
   
   XLXI_369 : IBUF
      port map (I=>A15,
                O=>A15i);
   
   XLXI_370 : IBUF
      port map (I=>nNMI,
                O=>XLXN_2084);
   
   XLXI_371 : IBUF
      port map (I=>A14,
                O=>A14i);
   
   XLXI_444 : IBUF
      port map (I=>A7,
                O=>A7i);
   
   XLXI_487 : AND2B1
      port map (I0=>nWRi,
                I1=>PAG,
                O=>XLXN_87);
   
   XLXI_643 : AND4
      port map (I0=>SHW,
                I1=>A13i,
                I2=>A12i,
                I3=>QA(0),
                O=>SELEA);
   
   XLXI_645 : OBUFT
      port map (I=>XLXN_2048,
                T=>XLXN_1034,
                O=>nCSRAM);
   
   XLXI_646 : GND
      port map (G=>XLXN_2048);
   
   XLXI_728 : AND2
      port map (I0=>nWRi,
                I1=>nRDi,
                O=>XLXN_1198);
   
   XLXI_731 : GND
      port map (G=>XLXN_1992);
   
   XLXI_897 : NOR2
      port map (I0=>XLXN_242,
                I1=>XLXN_241,
                O=>nPMCSi);
   
   XLXI_995 : OR2
      port map (I0=>nPMCSi,
                I1=>nWRi,
                O=>XLXN_1324);
   
   XLXI_996 : OR2
      port map (I0=>nPMCSi,
                I1=>nRDi,
                O=>XLXN_1323);
   
   XLXI_997 : OBUF
      port map (I=>XLXN_1324,
                O=>nPMWR);
   
   XLXI_998 : OBUF
      port map (I=>XLXN_1323,
                O=>nPMRD);
   
   XLXI_999 : OBUF
      port map (I=>XLXN_2047,
                O=>PA0);
   
   XLXI_1000 : INV
      port map (I=>REG,
                O=>nREG);
   
   XLXI_1001 : OR2
      port map (I0=>nREG,
                I1=>nRDi,
                O=>RCLK);
   
   XLXI_1002 : OR3B1
      port map (I0=>nACTi,
                I1=>nWRi,
                I2=>nREG,
                O=>XLXN_82);
   
   XLXI_1024 : OBUF
      port map (I=>XLXN_1873,
                O=>PA1);
   
   XLXI_1025 : D2_4E_MXILINX_I1B4a
      port map (A0=>A6i,
                A1=>A7i,
                E=>XLXN_2023,
                D0=>XLXN_1967,
                D1=>XLXN_1877,
                D2=>XLXN_1889,
                D3=>XLXN_1890);
   
   XLXI_1026 : OR3
      port map (I0=>XLXN_1875,
                I1=>XLXN_1889,
                I2=>XLXN_1877,
                O=>XLXN_1873);
   
   XLXI_1027 : OR3
      port map (I0=>XLXN_1874,
                I1=>XLXN_1967,
                I2=>XLXN_1889,
                O=>XLXN_2047);
   
   XLXI_1068 : VCC
      port map (P=>XLXN_2023);
   
   XLXI_1069 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_1072 : AND4B1
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_1874);
   
   XLXI_1073 : AND4B2
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_1875);
   
   XLXI_1079 : IBUF
      port map (I=>nENBL,
                O=>nENBLi);
   
   XLXI_1080 : AND5B2
      port map (I0=>nIORQi,
                I1=>nENBLi,
                I2=>XLXN_1860,
                I3=>A1i,
                I4=>A0i,
                O=>XLXN_1828);
   
   XLXI_1081 : AND3B2
      port map (I0=>nENBLi,
                I1=>XLXN_2084,
                I2=>nMREQi,
                O=>XLXN_2059);
   
   XLXI_1082 : AND2
      port map (I0=>nENBLi,
                I1=>nMREQi,
                O=>XLXN_2089);
   
   XLXI_1083 : NOR2
      port map (I0=>nWRi,
                I1=>nREG,
                O=>XLXN_88);
   
end BEHAVIORAL;


