        PAGE    60,80
hexp_c  SEGMENT PUBLIC 'CODE'
        ASSUME  cs:hexp_c,ds:hexp_c,es:hexp_c
d_dspl  equ     09h
d_open  equ     3Dh
d_clos  equ     3Eh
d_read  equ     3Fh
d_writ  equ     40h
d_mres  equ     4Ah
d_term  equ     4Ch
d_renm  equ     56h
d_crnf  equ     5Bh
start:  mov     bx,hexp_d
        add     bx,1000h
        mov     ax,es
        sub     bx,ax
        mov     ah,d_mres
        int     21h
        cld
        push    cs
        pop     es
        mov     cx,80h
        mov     si,cx
        mov     di,OFFSET cmdlne
        rep     movsb
        push    cs
        pop     ds
        xor     cx,cx
        mov     [srcoff],cx
        mov     di,OFFSET cmdlne
        mov     cl,[di]
        mov     dx,OFFSET msghlp
        jcxz    quimsg
        inc     di
        mov     al," "
        repe    scasb
        jcxz    quimsg
        dec     di
        inc     cx
        mov     [namsrc],di
        repne   scasb
        jne     spa_b2
        dec     di
        inc     cx
        push    di
        repe    scasb
        jcxz    spa_b1
        dec     di
        inc     cx
        cmp     cl,4
        jc      spa_b1
        mov     si,di
        call    gtword
        mov     [srcoff],ax
spa_b1: pop     di
spa_b2: sub     di,[namsrc]
        mov     cx,di
        mov     di,[namsrc]
        mov     al,"."
        repne   scasb
        je      spa_b3
        stosb
        mov     si,OFFSET flebin
        mov     cx,3
        rep     movsb
        sub     di,3
spa_b3: mov     [extsrc],di
        add     di,3
        xor     al,al
        stosb
        mov     cx,di
        mov     si,[namsrc]
        sub     cx,si
        mov     di,OFFSET destna
        rep     movsb
        sub     di,4
        mov     [extdst],di
        mov     dx,[namsrc]
        mov     ax,d_open*100h
        int     21h
        jnc     spa_b4
        mov     dx,OFFSET msgsnf
quimsg: xor     cx,cx
        mov     ah,d_dspl
        int     21h
        mov     ax,d_term*100h
        int     21h
spa_b4: mov     dx,[srcoff]
        xor     cx,cx
        sub     cx,dx
        jnz     spa_b5
        dec     cx
spa_b5: mov     bx,ax
        push    ds
        mov     ax,hexp_d
        mov     ds,ax
        mov     ah,d_read
        int     21h
        pop     ds
        mov     dx,OFFSET msgsnr
        jc      quimsg
        add     ax,[srcoff]
        mov     [srcend],ax
        mov     ah,d_clos
        int     21h
        mov     di,[extdst]
        mov     si,OFFSET flehex
        mov     cx,3
        rep     movsb
        mov     dx,OFFSET destna
        mov     ax,d_open*100h
        int     21h
        mov     dx,OFFSET msghnf
        jc      quimsg
        mov     bx,ax
        mov     ax,hexp_d
        mov     es,ax
rhx_lp: mov     dx,OFFSET recmrk
        mov     cx,OFFSET recdat
        sub     cx,dx
        mov     si,dx
        mov     ah,d_read
        int     21h
        jc      rhx_er
        cmp     ax,cx
        jc      rhx_er
        lodsb
        cmp     al,":"
        jne     rhx_er
        add     dx,cx
        call    gethex
        mov     di,ax
        mov     [chksum],al
        inc     ax
        inc     ax
        shl     ax,1
        mov     cx,ax
        mov     ah,d_read
        int     21h
        jc      rhx_er
        cmp     ax,cx
        jc      rhx_er
        call    gtword
        add     [chksum],al
        add     [chksum],ah
        mov     dx,ax
        call    gethex
        add     [chksum],al
        cmp     al,1
        jc      rhx_b1
        jnz     rhx_er
        call    gethex
        add     [chksum],al
        jz      rhx_en
rhx_er: mov     dx,OFFSET msgnhx
        jmp     quimsg
gethxd: lodsb
        and     al,0DFh
        sub     al,"A"-0Ah
        jnc     ghd_b1
        add     al,"A"-0Ah-"0"+20h
ghd_b1: cmp     al,10h
        jnc     rhx_er
        ret
rhx_b1: cmp     dx,[srcoff]
        jnc     rhx_b2
        mov     [srcoff],dx
rhx_b2: mov     cx,di
        mov     di,dx
        add     dx,cx
        cmp     dx,[srcend]
        jc      rhx_b4
        mov     [srcend],dx
rhx_b4: call    gethex
        add     [chksum],al
        stosb
        loop    rhx_b4
        call    gethex
        add     [chksum],al
        jnz     rhx_er
        jmp     rhx_lp
rhx_en: push    cs
        pop     es
        mov     ah,d_clos
        int     21h
        mov     di,[extdst]
        mov     si,OFFSET flebak
        mov     cx,3
        rep     movsb
        mov     dx,[namsrc]
        mov     di,OFFSET destna
        mov     ah,d_renm
        int     21h
        mov     dx,OFFSET msgnre
        jc      qui_en
        mov     dx,[namsrc]
        mov     ah,d_crnf
        int     21h
        mov     dx,OFFSET msgncr
        jc      qui_en
        mov     bx,ax
        mov     dx,[srcoff]
        mov     cx,[srcend]
        sub     cx,dx
        push    ds
        mov     ax,hexp_d
        mov     ds,ax
        mov     ah,d_writ
        int     21h
        pop     ds
        mov     dx,OFFSET msgnwr
        jc      qui_en
        mov     ah,d_clos
        int     21h
        mov     dx,OFFSET msgeok
qui_en: jmp     quimsg
gtword: call    gethex
        push    bx
        mov     bh,al
        call    gethex
        mov     ah,bh
        pop     bx
        ret
gethex: call    gethxd
        mov     ah,al
        call    gethxd
        ror     ah,1
        ror     ah,1
        ror     ah,1
        ror     ah,1
        add     al,ah
        xor     ah,ah
        ret
msghlp  db      0Dh,0Ah,"Syntax:        HEXPATCH Filename[.BIN] [Offset]",0Dh,0Ah
        db      0Dh,0Ah,"Filename:      Name of binary source file."
        db      0Dh,0Ah,"Offset:        Loading address of source file:"
        db      0Dh,0Ah,"               - four hex digits: 0000-FFFF, default: 0000"
        db      0Dh,0Ah,"Patch file:    Intel Hex format:"
        db      0Dh,0Ah,"               - must exist in the same directory as source file,"
        db      0Dh,0Ah,"               - same name as source file, extension .HEX$"
msgsnf  db      0Dh,0Ah,"Source file not found$"
msgsnr  db      0Dh,0Ah,"Cannot read source file$"
msghnf  db      0Dh,0Ah,"Intel hex file not found$"
msgnhx  db      0Dh,0Ah,"Error reading Intel hex file$"
msgnre  db      0Dh,0Ah,"Cannot create backup file$"
msgncr  db      0Dh,0Ah,"Cannot create destination file$"
msgnwr  db      0Dh,0Ah,"Cannot write destination file$"
msgeok  db      0Dh,0Ah,"File patched successfully",0Dh,0Ah,"$"
flebin  db      "BIN"
flehex  db      "HEX"
flebak  db      "BAK"
srcoff  dw      ?
srcend  dw      ?
namsrc  dw      ?
extsrc  dw      ?
extdst  dw      ?
chksum  db      ?
cmdlne  db      80h dup (?)
destna  db      80h dup (?)
recmrk  db      ?
reclen  dw      ?
recoff  dw      2 dup (?)
rectyp  dw      ?
recdat  dw      101h dup (?)
hexp_c  ENDS
hexp_s  SEGMENT STACK 'STACK'
        db      500h dup (?)
hexp_s  ENDS
hexp_d  SEGMENT PRIVATE 'DATA'
hexp_d  ENDS
        END     start

