        PAGE    60,80
z_file  SEGMENT
        ASSUME  cs:z_file,ds:z_file,es:z_file
d_dspl  equ     09h
d_crea  equ     3Ch
d_open  equ     3Dh
d_clos  equ     3Eh
d_read  equ     3Fh
d_writ  equ     40h
d_find  equ     4Eh
d_term  equ     4Ch
        org     80h
dta     db      15h dup (?)
dta_at  db      05h dup (?)
dta_ll  dw      ?
dta_lh  dw      ?
dta_na  db      0Eh dup (?)
        org     100h
start:  cld
        mov     si,OFFSET dta
        mov     di,OFFSET srcbuf
        mov     cx,si
        push    di
        rep     movsb
        pop     di
        mov     cl,[di]
        mov     dx,OFFSET msghlp
        jcxz    quimsg
        inc     di
        mov     al," "
        repe    scasb
        jcxz    quimsg
        dec     di
        inc     cx
        mov     dx,di
        repne   scasb
        jne     zfl_b5
        dec     di
        inc     cx
        push    di
        repe    scasb
        je      zfl_b3
        dec     di
        inc     cx
        mov     si,di
        xor     ax,ax
        mov     bx,ax
        mov     di,0Ah
        push    dx
zfl_l1: mov     bl,[si]
        sub     bl,"0"
        cmc
        jnc     zfl_b1
        cmp     bx,di
        jnc     zfl_b1
        mul     di
        jc      zfl_b1
        add     ax,bx
        jc      zfl_b1
        inc     si
        loop    zfl_l1
zfl_b1: pop     dx
        jnc     zfl_b2
        mov     dx,OFFSET msglin
quimsg: mov     ah,d_dspl
        int     21h
        mov     ah,d_term
        int     21h
zfl_b2: mov     [s_line],ax
        cmp     ax,10000
        jb      zfl_b3
        mov     [file_t],3
        mov     [ld_adr],ax
        jmp     zfl_b4
zfl_b3: mov     [s_line],ax
zfl_b4: pop     di
zfl_b5: sub     di,dx
        mov     cx,di
        mov     di,dx
        mov     al,"."
        repne   scasb
        je      zfl_b6
        stosb
        mov     si,OFFSET extbin
        mov     cx,3
        rep     movsb
        sub     di,3
zfl_b6: add     di,3
        xor     al,al
        stosb
        mov     cl,al
        mov     ah,d_find
        int     21h
        jc      frderr
        mov     ax,[dta_ll]
        mov     [file_l],ax
        mov     [prog_l],ax
        mov     ax,d_open*100h+0
        int     21h
        jc      frderr
        mov     bx,ax
        sub     di,4
        mov     si,OFFSET extzzp
        mov     cx,3
        cmp     cl,[file_t]
        jne     set_ex
        add     si,cx
set_ex: rep     movsb
        mov     ah,d_crea
        int     21h
fwrerr: mov     dx,OFFSET msgnwr
        jc      quimsg
        mov     dx,OFFSET file_t
        mov     cx,OFFSET extbin - OFFSET file_t
sect_l: xchg    ax,bx
        push    ax
        mov     ah,d_writ
        int     21h
        jc      fwrerr
        pop     ax
        xchg    ax,bx
        push    ax
        mov     cx,OFFSET bf_end - OFFSET srcbuf
        mov     dx,OFFSET srcbuf
        mov     ah,d_read
        int     21h
frderr: mov     dx,OFFSET msgnrd
        jc      quit_m
        or      ax,ax
        jz      file_e
        mov     cx,ax
        mov     dx,OFFSET srcbuf
        pop     ax
        jmp     sect_l
file_e: mov     ah,d_clos
        int     21h
        pop     bx
        mov     ah,d_clos
        int     21h
        mov     dx,OFFSET msgeok
        xor     al,al
quit_m: jmp     quimsg
file_t  db      0
file_l  dw      0
ld_adr  dw      0
prog_l  dw      0
s_line  dw      8000h
extbin  db      "BIN"
extzzp  db      "ZZP"
extzzc  db      "ZZC"
msghlp  db      0Dh,0Ah,"Syntax:   ZFL BinaryFile[.BIN] [StartLine | LoadingAddress (dec)]",0Dh,0Ah,"$"
msglin  db      0Dh,0Ah,"Wrong Loading Address$"
msgnrd  db      0Dh,0Ah,"Cannot read binary file$"
msgnwr  db      0Dh,0Ah,"Cannot write  Zfile$"
msgeok  db      0Dh,0Ah,"Zfile created",0Dh,0Ah,"$"
srcbuf  db      200h dup (?)
bf_end  label   near
z_file  ENDS
        end     start
