--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.4
--  \   \         Application : sch2hdl
--  /   /         Filename : I1B4b.vhf
-- /___/   /\     Timestamp : 01/08/2015 12:08:33
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl F:/ZXS/DES/IF1b/4/b/ISE/I1B4b.vhf -w F:/ZXS/DES/IF1b/4/b/ISE/I1B4b.sch
--Design Name: I1B4b
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity D2_4E_MXILINX_I1B4b is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic);
end D2_4E_MXILINX_I1B4b;

architecture BEHAVIORAL of D2_4E_MXILINX_I1B4b is
   attribute BOX_TYPE   : string ;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D3);
   
   I_36_31 : AND3B1
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D2);
   
   I_36_32 : AND3B1
      port map (I0=>A1,
                I1=>A0,
                I2=>E,
                O=>D1);
   
   I_36_33 : AND3B2
      port map (I0=>A0,
                I1=>A1,
                I2=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OBUFE_MXILINX_I1B4b is
   port ( E : in    std_logic; 
          I : in    std_logic; 
          O : out   std_logic);
end OBUFE_MXILINX_I1B4b;

architecture BEHAVIORAL of OBUFE_MXILINX_I1B4b is
   attribute BOX_TYPE   : string ;
   signal T : std_logic;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
begin
   I_36_10 : OBUFT
      port map (I=>I,
                T=>T,
                O=>O);
   
   I_36_12 : INV
      port map (I=>E,
                O=>T);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity AND6_MXILINX_I1B4b is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          O  : out   std_logic);
end AND6_MXILINX_I1B4b;

architecture BEHAVIORAL of AND6_MXILINX_I1B4b is
   attribute BOX_TYPE   : string ;
   signal I35 : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
begin
   I_36_69 : AND3
      port map (I0=>I3,
                I1=>I4,
                I2=>I5,
                O=>I35);
   
   I_36_85 : AND4
      port map (I0=>I0,
                I1=>I1,
                I2=>I2,
                I3=>I35,
                O=>O);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FD_MXILINX_I1B4b is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_I1B4b;

architecture BEHAVIORAL of FD_MXILINX_I1B4b is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity I1B4b is
   port ( A0     : in    std_logic; 
          A1     : in    std_logic; 
          A2     : in    std_logic; 
          A3     : in    std_logic; 
          A4     : in    std_logic; 
          A5     : in    std_logic; 
          A6     : in    std_logic; 
          A7     : in    std_logic; 
          A8     : in    std_logic; 
          A9     : in    std_logic; 
          A10    : in    std_logic; 
          A11    : in    std_logic; 
          A12    : in    std_logic; 
          A13    : in    std_logic; 
          A14    : in    std_logic; 
          A15    : in    std_logic; 
          nDIS   : in    std_logic; 
          nENB   : in    std_logic; 
          nIORQ  : in    std_logic; 
          nMREQ  : in    std_logic; 
          nON    : in    std_logic; 
          nRD    : in    std_logic; 
          nWR    : in    std_logic; 
          nAUX   : out   std_logic; 
          nCSRAM : out   std_logic; 
          nLEDB  : out   std_logic; 
          nLEDS  : out   std_logic; 
          nPMCS  : out   std_logic; 
          nPMRD  : out   std_logic; 
          nPMWR  : out   std_logic; 
          nWREN  : out   std_logic; 
          PMA0   : out   std_logic; 
          PMA1   : out   std_logic; 
          SHD    : out   std_logic);
   attribute PWR_MODE : string ;
   attribute PWR_MODE of nCSRAM : signal is "STD";
   attribute PWR_MODE of nWREN : signal is "STD";
end I1B4b;

architecture BEHAVIORAL of I1B4b is
   attribute KEEP       : string ;
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   attribute SLEW       : string ;
   signal ACTi        : std_logic;
   signal A0i         : std_logic;
   signal A1i         : std_logic;
   signal A5i         : std_logic;
   signal A6i         : std_logic;
   signal A7i         : std_logic;
   signal A8i         : std_logic;
   signal A9i         : std_logic;
   signal A10i        : std_logic;
   signal A11i        : std_logic;
   signal A12i        : std_logic;
   signal A13i        : std_logic;
   signal A14i        : std_logic;
   signal A15i        : std_logic;
   signal DISi        : std_logic;
   signal DRAMSi      : std_logic;
   signal IORQi       : std_logic;
   signal nACTi       : std_logic;
   signal nBLEDi      : std_logic;
   signal nDISi       : std_logic;
   signal nMREQi      : std_logic;
   signal nNMIi       : std_logic;
   signal nONi        : std_logic;
   signal nPMCSi      : std_logic;
   signal nRDi        : std_logic;
   signal nSHDi       : std_logic;
   signal nSLEDi      : std_logic;
   signal nWEi        : std_logic;
   signal nWRi        : std_logic;
   signal PAG         : std_logic;
   signal REG         : std_logic;
   signal RSTi        : std_logic;
   signal SHDi        : std_logic;
   signal SHD_R       : std_logic;
   signal SHD_S       : std_logic;
   signal WRE         : std_logic;
   signal XLXN_119    : std_logic;
   signal XLXN_121    : std_logic;
   signal XLXN_242    : std_logic;
   signal XLXN_884    : std_logic;
   signal XLXN_1198   : std_logic;
   signal XLXN_1828   : std_logic;
   signal XLXN_1860   : std_logic;
   signal XLXN_1873   : std_logic;
   signal XLXN_1877   : std_logic;
   signal XLXN_1890   : std_logic;
   signal XLXN_2047   : std_logic;
   signal XLXN_2049   : std_logic;
   signal XLXN_2056   : std_logic;
   signal XLXN_2057   : std_logic;
   signal XLXN_2058   : std_logic;
   signal XLXN_2059   : std_logic;
   signal XLXN_2112   : std_logic;
   signal XLXN_2314   : std_logic;
   signal XLXN_2346   : std_logic;
   signal XLXN_2358   : std_logic;
   signal XLXN_2385   : std_logic;
   signal XLXN_2428   : std_logic;
   signal XLXN_2509   : std_logic;
   signal XLXN_2510   : std_logic;
   signal XLXN_2520   : std_logic;
   signal XLXN_2521   : std_logic;
   signal XLXN_2525   : std_logic;
   signal XLXN_2527   : std_logic;
   signal XLXN_2528   : std_logic;
   signal XLXN_3576   : std_logic;
   signal XLXN_3600   : std_logic;
   signal XLXN_3610   : std_logic;
   signal XLXN_3840   : std_logic;
   signal XLXN_3863   : std_logic;
   signal XLXN_3871   : std_logic;
   signal XLXN_3944   : std_logic;
   signal XLXN_3950   : std_logic;
   signal XLXN_3951   : std_logic;
   signal XLXN_3976   : std_logic;
   signal XLXN_4002   : std_logic;
   signal XLXN_4014   : std_logic;
   signal XLXN_4022   : std_logic;
   signal XLXN_4023   : std_logic;
   signal XLXN_4041   : std_logic;
   signal XLXN_4066   : std_logic;
   signal XLXN_4067   : std_logic;
   signal XLXN_4093   : std_logic;
   signal XLXN_4095   : std_logic;
   signal XLXN_4124   : std_logic;
   signal XLXN_4162   : std_logic;
   signal XLXN_4169   : std_logic;
   signal XLXN_4171   : std_logic;
   signal XLXN_4172   : std_logic;
   signal SHD_DUMMY   : std_logic;
   signal nLEDB_DUMMY : std_logic;
   signal nLEDS_DUMMY : std_logic;
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component FD_MXILINX_I1B4b
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component D2_4E_MXILINX_I1B4b
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute SLEW of OBUF : component is "SLOW";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component OR2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2B1 : component is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : component is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component AND6_MXILINX_I1B4b
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OBUFE_MXILINX_I1B4b
      port ( E : in    std_logic; 
             I : in    std_logic; 
             O : out   std_logic);
   end component;
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component AND5B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5B4 : component is "BLACK_BOX";
   
   component NOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR3 : component is "BLACK_BOX";
   
   attribute KEEP of SHD_R : signal is "TRUE";
   attribute HU_SET of DRAM : label is "DRAM_1";
   attribute HU_SET of WREN : label is "WREN_2";
   attribute HU_SET of XLXI_1 : label is "XLXI_1_0";
   attribute KEEP of XLXI_99 : label is "TRUE";
   attribute HU_SET of XLXI_1025 : label is "XLXI_1025_5";
   attribute KEEP of XLXI_1151 : label is "TRUE";
   attribute HU_SET of XLXI_1303 : label is "XLXI_1303_3";
   attribute HU_SET of XLXI_1333 : label is "XLXI_1333_4";
begin
   nLEDB <= nLEDB_DUMMY;
   nLEDS <= nLEDS_DUMMY;
   SHD <= SHD_DUMMY;
   ACTIV : FDCP
      port map (C=>XLXN_3610,
                CLR=>DISi,
                D=>A7i,
                PRE=>XLXN_884,
                Q=>ACTi);
   
   DRAM : FD_MXILINX_I1B4b
      port map (C=>XLXN_2112,
                D=>A7i,
                Q=>DRAMSi);
   
   IORQ : FDCP
      port map (C=>XLXN_2385,
                CLR=>XLXN_1198,
                D=>XLXN_2385,
                PRE=>XLXN_1828,
                Q=>IORQi);
   
   SHADOW : FDCP
   generic map( INIT => '0')
      port map (C=>XLXN_2346,
                CLR=>XLXN_2521,
                D=>A7i,
                PRE=>SHD_S,
                Q=>SHDi);
   
   WREN : FD_MXILINX_I1B4b
      port map (C=>XLXN_1873,
                D=>A7i,
                Q=>WRE);
   
   XLXI_1 : D2_4E_MXILINX_I1B4b
      port map (A0=>A6i,
                A1=>A5i,
                E=>XLXN_3863,
                D0=>XLXN_3944,
                D1=>XLXN_242,
                D2=>REG,
                D3=>PAG);
   
   XLXI_64 : INV
      port map (I=>ACTi,
                O=>nACTi);
   
   XLXI_99 : NOR2
      port map (I0=>XLXN_119,
                I1=>WRE,
                O=>nWEi);
   
   XLXI_100 : AND3
      port map (I0=>XLXN_121,
                I1=>A13i,
                I2=>SHDi,
                O=>XLXN_119);
   
   XLXI_101 : OR2
      port map (I0=>A12i,
                I1=>XLXN_2428,
                O=>XLXN_121);
   
   XLXI_102 : AND3
      port map (I0=>A11i,
                I1=>A10i,
                I2=>A9i,
                O=>XLXN_2428);
   
   XLXI_180 : OBUF
      port map (I=>nPMCSi,
                O=>nPMCS);
   
   XLXI_347 : IBUF
      port map (I=>A13,
                O=>A13i);
   
   XLXI_348 : IBUF
      port map (I=>A12,
                O=>A12i);
   
   XLXI_349 : IBUF
      port map (I=>A5,
                O=>A5i);
   
   XLXI_350 : IBUF
      port map (I=>A6,
                O=>A6i);
   
   XLXI_351 : IBUF
      port map (I=>A0,
                O=>A0i);
   
   XLXI_356 : IBUF
      port map (I=>A1,
                O=>A1i);
   
   XLXI_358 : IBUF
      port map (I=>nRD,
                O=>nRDi);
   
   XLXI_359 : IBUF
      port map (I=>nWR,
                O=>nWRi);
   
   XLXI_361 : IBUF
      port map (I=>A10,
                O=>A10i);
   
   XLXI_364 : IBUF
      port map (I=>nMREQ,
                O=>nMREQi);
   
   XLXI_365 : IBUF
      port map (I=>A2,
                O=>XLXN_1860);
   
   XLXI_366 : IBUF
      port map (I=>nIORQ,
                O=>XLXN_2056);
   
   XLXI_367 : IBUF
      port map (I=>A9,
                O=>A9i);
   
   XLXI_368 : IBUF
      port map (I=>A11,
                O=>A11i);
   
   XLXI_369 : IBUF
      port map (I=>A15,
                O=>A15i);
   
   XLXI_371 : IBUF
      port map (I=>A14,
                O=>A14i);
   
   XLXI_444 : IBUF
      port map (I=>A7,
                O=>A7i);
   
   XLXI_467 : IBUF
      port map (I=>nENB,
                O=>nNMIi);
   
   XLXI_486 : AND2B1
      port map (I0=>nWRi,
                I1=>REG,
                O=>XLXN_2346);
   
   XLXI_487 : AND2B1
      port map (I0=>nWRi,
                I1=>PAG,
                O=>XLXN_3610);
   
   XLXI_646 : GND
      port map (G=>XLXN_2314);
   
   XLXI_728 : AND2
      port map (I0=>nWRi,
                I1=>nRDi,
                O=>XLXN_1198);
   
   XLXI_897 : NOR2
      port map (I0=>XLXN_242,
                I1=>XLXN_3944,
                O=>XLXN_4014);
   
   XLXI_996 : OR2
      port map (I0=>XLXN_4014,
                I1=>nRDi,
                O=>XLXN_4022);
   
   XLXI_997 : OBUF
      port map (I=>XLXN_4023,
                O=>nPMWR);
   
   XLXI_998 : OBUF
      port map (I=>XLXN_4022,
                O=>nPMRD);
   
   XLXI_999 : OBUF
      port map (I=>XLXN_2047,
                O=>PMA0);
   
   XLXI_1024 : OBUF
      port map (I=>XLXN_4095,
                O=>PMA1);
   
   XLXI_1025 : D2_4E_MXILINX_I1B4b
      port map (A0=>A6i,
                A1=>A7i,
                E=>A1i,
                D0=>XLXN_4067,
                D1=>XLXN_1877,
                D2=>XLXN_4066,
                D3=>XLXN_1890);
   
   XLXI_1069 : IBUF
      port map (I=>A8,
                O=>A8i);
   
   XLXI_1072 : AND4B1
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_4162);
   
   XLXI_1073 : AND4B2
      port map (I0=>A10i,
                I1=>A8i,
                I2=>A9i,
                I3=>XLXN_1890,
                O=>XLXN_4124);
   
   XLXI_1075 : OBUFT
      port map (I=>XLXN_2049,
                T=>nBLEDi,
                O=>nLEDB_DUMMY);
   
   XLXI_1076 : GND
      port map (G=>XLXN_2049);
   
   XLXI_1079 : IBUF
      port map (I=>A3,
                O=>XLXN_2058);
   
   XLXI_1080 : IBUF
      port map (I=>A4,
                O=>XLXN_2059);
   
   XLXI_1083 : INV
      port map (I=>XLXN_2056,
                O=>XLXN_2057);
   
   XLXI_1087 : OBUF
      port map (I=>SHDi,
                O=>SHD_DUMMY);
   
   XLXI_1104 : IBUF
      port map (I=>nON,
                O=>nONi);
   
   XLXI_1120 : AND3B1
      port map (I0=>nWRi,
                I1=>REG,
                I2=>nACTi,
                O=>XLXN_1873);
   
   XLXI_1121 : GND
      port map (G=>XLXN_4002);
   
   XLXI_1123 : GND
      port map (G=>XLXN_2385);
   
   XLXI_1130 : OR2
      port map (I0=>nACTi,
                I1=>SHDi,
                O=>nBLEDi);
   
   XLXI_1131 : OR2B1
      port map (I0=>XLXN_2520,
                I1=>nACTi,
                O=>nSLEDi);
   
   XLXI_1147 : AND3B2
      port map (I0=>DISi,
                I1=>nNMIi,
                I2=>nMREQi,
                O=>XLXN_884);
   
   XLXI_1151 : OR2B1
      port map (I0=>nDISi,
                I1=>XLXN_3871,
                O=>DISi);
   
   XLXI_1152 : IBUF
      port map (I=>nDIS,
                O=>nDISi);
   
   XLXI_1157 : AND2
      port map (I0=>nONi,
                I1=>nMREQi,
                O=>XLXN_3871);
   
   XLXI_1158 : OBUFT
      port map (I=>XLXN_2314,
                T=>XLXN_3600,
                O=>nCSRAM);
   
   XLXI_1161 : IBUF
      port map (I=>nLEDB_DUMMY,
                O=>XLXN_3576);
   
   XLXI_1162 : IBUF
      port map (I=>nLEDS_DUMMY,
                O=>nSHDi);
   
   XLXI_1163 : OR2
      port map (I0=>nACTi,
                I1=>RSTi,
                O=>SHD_R);
   
   XLXI_1165 : IBUF
      port map (I=>SHD_DUMMY,
                O=>XLXN_2520);
   
   XLXI_1169 : FDCP
      port map (C=>XLXN_2510,
                CLR=>XLXN_2525,
                D=>XLXN_2510,
                PRE=>XLXN_2509,
                Q=>SHD_S);
   
   XLXI_1176 : OBUFT
      port map (I=>XLXN_2358,
                T=>nSLEDi,
                O=>nLEDS_DUMMY);
   
   XLXI_1177 : GND
      port map (G=>XLXN_2358);
   
   XLXI_1179 : NOR2
      port map (I0=>XLXN_3576,
                I1=>nSHDi,
                O=>RSTi);
   
   XLXI_1184 : GND
      port map (G=>XLXN_2510);
   
   XLXI_1190 : AND3B2
      port map (I0=>XLXN_3576,
                I1=>nNMIi,
                I2=>nACTi,
                O=>XLXN_2509);
   
   XLXI_1191 : AND2B1
      port map (I0=>SHD_S,
                I1=>SHD_R,
                O=>XLXN_2521);
   
   XLXI_1196 : AND2B1
      port map (I0=>SHD_R,
                I1=>nNMIi,
                O=>XLXN_2525);
   
   XLXI_1200 : OBUFT
      port map (I=>XLXN_2527,
                T=>XLXN_2528,
                O=>nWREN);
   
   XLXI_1201 : GND
      port map (G=>XLXN_2527);
   
   XLXI_1207 : OR4
      port map (I0=>nMREQi,
                I1=>A15i,
                I2=>A14i,
                I3=>nACTi,
                O=>XLXN_3600);
   
   XLXI_1211 : OR3
      port map (I0=>nWEi,
                I1=>XLXN_3600,
                I2=>nWRi,
                O=>XLXN_2528);
   
   XLXI_1214 : OR4
      port map (I0=>XLXN_4093,
                I1=>XLXN_4162,
                I2=>XLXN_4067,
                I3=>XLXN_4066,
                O=>XLXN_2047);
   
   XLXI_1303 : AND6_MXILINX_I1B4b
      port map (I0=>XLXN_3840,
                I1=>XLXN_2057,
                I2=>XLXN_2059,
                I3=>XLXN_2058,
                I4=>XLXN_1860,
                I5=>A0i,
                O=>XLXN_1828);
   
   XLXI_1309 : INV
      port map (I=>nONi,
                O=>XLXN_3840);
   
   XLXI_1311 : AND2
      port map (I0=>IORQi,
                I1=>A1i,
                O=>XLXN_3863);
   
   XLXI_1323 : AND2
      port map (I0=>XLXN_4023,
                I1=>XLXN_4022,
                O=>nPMCSi);
   
   XLXI_1329 : OR2
      port map (I0=>nWRi,
                I1=>XLXN_3950,
                O=>XLXN_4023);
   
   XLXI_1333 : OBUFE_MXILINX_I1B4b
      port map (E=>DRAMSi,
                I=>XLXN_4002,
                O=>nAUX);
   
   XLXI_1340 : AND2
      port map (I0=>A7i,
                I1=>XLXN_3944,
                O=>XLXN_3951);
   
   XLXI_1344 : INV
      port map (I=>A1i,
                O=>XLXN_4041);
   
   XLXI_1349 : AND2B1
      port map (I0=>nRDi,
                I1=>REG,
                O=>XLXN_2112);
   
   XLXI_1362 : OR4
      port map (I0=>XLXN_4124,
                I1=>XLXN_4172,
                I2=>XLXN_4066,
                I3=>XLXN_1877,
                O=>XLXN_4095);
   
   XLXI_1370 : AND5
      port map (I0=>IORQi,
                I1=>XLXN_4041,
                I2=>A6i,
                I3=>A7i,
                I4=>A5i,
                O=>XLXN_4171);
   
   XLXI_1372 : AND5B4
      port map (I0=>A1i,
                I1=>A15i,
                I2=>A14i,
                I3=>A13i,
                I4=>A12i,
                O=>XLXN_4172);
   
   XLXI_1373 : NOR3
      port map (I0=>XLXN_3951,
                I1=>XLXN_3976,
                I2=>XLXN_4169,
                O=>XLXN_3950);
   
   XLXI_1376 : AND2
      port map (I0=>A14i,
                I1=>XLXN_4171,
                O=>XLXN_3976);
   
   XLXI_1378 : AND2
      port map (I0=>XLXN_4171,
                I1=>XLXN_4172,
                O=>XLXN_4169);
   
   XLXI_1379 : AND2B1
      port map (I0=>A1i,
                I1=>A15i,
                O=>XLXN_4093);
   
end BEHAVIORAL;


